﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace UI.Controls.Base
{
    public class IconConverter
    {
        private static Dictionary<IconTypes, string> iconUnicodes = new Dictionary<IconTypes, string>()
        {
            {IconTypes.None,string.Empty},
{IconTypes.Accept,"\xe8fb"},
{IconTypes.AcceptMedium,"\xf78c"},
{IconTypes.Accident,"\xe81f"},
{IconTypes.AccidentSolid,"\xea8e"},
{IconTypes.Accounts,"\xe910"},
{IconTypes.ActionCenter,"\xe91c"},
{IconTypes.ActionCenterAsterisk,"\xea21"},
{IconTypes.ActionCenterMirrored,"\xed0d"},
{IconTypes.ActionCenterNotification,"\xe7e7"},
{IconTypes.ActionCenterNotificationMirrored,"\xed0c"},
{IconTypes.ActionCenterQuiet,"\xee79"},
{IconTypes.ActionCenterQuietNotification,"\xee7a"},
{IconTypes.Add,"\xe710"},
{IconTypes.AddBold,"\xf8aa"},
{IconTypes.AddFriend,"\xe8fa"},
{IconTypes.AddNewLine,"\xf7b7"},
{IconTypes.AddNewLineFill,"\xf7b8"},
{IconTypes.AddRemoteDevice,"\xe836"},
{IconTypes.AddSurfaceHub,"\xecc4"},
{IconTypes.AddTo,"\xecc8"},
{IconTypes.AdjustHologram,"\xebd2"},
{IconTypes.Admin,"\xe7ef"},
{IconTypes.Airplane,"\xe709"},
{IconTypes.AirplaneSolid,"\xeb4c"},
{IconTypes.AlignCenter,"\xe8e3"},
{IconTypes.AlignLeft,"\xe8e4"},
{IconTypes.AlignRight,"\xe8e2"},
{IconTypes.AllApps,"\xe71d"},
{IconTypes.AllAppsMirrored,"\xea40"},
{IconTypes.Annotation,"\xe924"},
{IconTypes.AppIconDefault,"\xecaa"},
{IconTypes.ApplicationGuard,"\xf0ef"},
{IconTypes.Apps,"\xed35"},
{IconTypes.AreaChart,"\xe9d2"},
{IconTypes.ArrowDown8,"\xf0ae"},
{IconTypes.ArrowLeft8,"\xf0b0"},
{IconTypes.ArrowRight8,"\xf0af"},
{IconTypes.ArrowUp8,"\xf0ad"},
{IconTypes.AspectRatio,"\xe799"},
{IconTypes.Asterisk,"\xea38"},
{IconTypes.AsteriskBadge12,"\xedad"},
{IconTypes.Attach,"\xe723"},
{IconTypes.AttachCamera,"\xe8a2"},
{IconTypes.Audio,"\xe8d6"},
{IconTypes.Back,"\xe72b"},
{IconTypes.BackgroundToggle,"\xef1f"},
{IconTypes.BackMirrored,"\xf0d2"},
{IconTypes.BackSolidBold,"\xf8ac"},
{IconTypes.BackSpaceQWERTY,"\xe750"},
{IconTypes.BackSpaceQWERTYLg,"\xeb96"},
{IconTypes.BackSpaceQWERTYMd,"\xe926"},
{IconTypes.BackSpaceQWERTYSm,"\xe925"},
{IconTypes.BackToWindow,"\xe73f"},
{IconTypes.Badge,"\xec1b"},
{IconTypes.BandBattery0,"\xecb9"},
{IconTypes.BandBattery1,"\xecba"},
{IconTypes.BandBattery2,"\xecbb"},
{IconTypes.BandBattery3,"\xecbc"},
{IconTypes.BandBattery4,"\xecbd"},
{IconTypes.BandBattery5,"\xecbe"},
{IconTypes.BandBattery6,"\xecbf"},
{IconTypes.Bank,"\xe825"},
{IconTypes.BarcodeScanner,"\xec5a"},
{IconTypes.Battery0,"\xe850"},
{IconTypes.Battery1,"\xe851"},
{IconTypes.Battery10,"\xe83f"},
{IconTypes.Battery2,"\xe852"},
{IconTypes.Battery3,"\xe853"},
{IconTypes.Battery4,"\xe854"},
{IconTypes.Battery5,"\xe855"},
{IconTypes.Battery6,"\xe856"},
{IconTypes.Battery7,"\xe857"},
{IconTypes.Battery8,"\xe858"},
{IconTypes.Battery9,"\xe859"},
{IconTypes.BatteryCharging0,"\xe85a"},
{IconTypes.BatteryCharging1,"\xe85b"},
{IconTypes.BatteryCharging10,"\xea93"},
{IconTypes.BatteryCharging2,"\xe85c"},
{IconTypes.BatteryCharging3,"\xe85d"},
{IconTypes.BatteryCharging4,"\xe85e"},
{IconTypes.BatteryCharging5,"\xe85f"},
{IconTypes.BatteryCharging6,"\xe860"},
{IconTypes.BatteryCharging7,"\xe861"},
{IconTypes.BatteryCharging8,"\xe862"},
{IconTypes.BatteryCharging9,"\xe83e"},
{IconTypes.BatterySaver0,"\xe863"},
{IconTypes.BatterySaver1,"\xe864"},
{IconTypes.BatterySaver10,"\xea95"},
{IconTypes.BatterySaver2,"\xe865"},
{IconTypes.BatterySaver3,"\xe866"},
{IconTypes.BatterySaver4,"\xe867"},
{IconTypes.BatterySaver5,"\xe868"},
{IconTypes.BatterySaver6,"\xe869"},
{IconTypes.BatterySaver7,"\xe86a"},
{IconTypes.BatterySaver8,"\xe86b"},
{IconTypes.BatterySaver9,"\xea94"},
{IconTypes.BatteryUnknown,"\xe996"},
{IconTypes.Beta,"\xea24"},
{IconTypes.BidiLtr,"\xe9aa"},
{IconTypes.BidiRtl,"\xe9ab"},
{IconTypes.BlockContact,"\xe8f8"},
{IconTypes.Blocked2,"\xece4"},
{IconTypes.BlueLight,"\xf08c"},
{IconTypes.Bluetooth,"\xe702"},
{IconTypes.BodyCam,"\xec80"},
{IconTypes.Bold,"\xe8dd"},
{IconTypes.Bookmarks,"\xe8a4"},
{IconTypes.BookmarksMirrored,"\xea41"},
{IconTypes.Brightness,"\xe706"},
{IconTypes.Broom,"\xea99"},
{IconTypes.BrowsePhotos,"\xe7c5"},
{IconTypes.BrushSize,"\xeda8"},
{IconTypes.Bug,"\xebe8"},
{IconTypes.BuildingEnergy,"\xec0b"},
{IconTypes.BulletedList,"\xe8fd"},
{IconTypes.BulletedListMirrored,"\xea42"},
{IconTypes.Bullseye,"\xf272"},
{IconTypes.BumperLeft,"\xf10c"},
{IconTypes.BumperRight,"\xf10d"},
{IconTypes.Bus,"\xe806"},
{IconTypes.BusSolid,"\xeb47"},
{IconTypes.ButtonA,"\xf093"},
{IconTypes.ButtonB,"\xf094"},
{IconTypes.ButtonMenu,"\xede3"},
{IconTypes.ButtonView2,"\xeeca"},
{IconTypes.ButtonX,"\xf096"},
{IconTypes.ButtonY,"\xf095"},
{IconTypes.Cafe,"\xec32"},
{IconTypes.Calculator,"\xe8ef"},
{IconTypes.CalculatorAddition,"\xe948"},
{IconTypes.CalculatorBackspace,"\xe94f"},
{IconTypes.CalculatorDivide,"\xe94a"},
{IconTypes.CalculatorEqualTo,"\xe94e"},
{IconTypes.CalculatorMultiply,"\xe947"},
{IconTypes.CalculatorNegate,"\xe94d"},
{IconTypes.CalculatorPercentage,"\xe94c"},
{IconTypes.CalculatorSquareroot,"\xe94b"},
{IconTypes.CalculatorSubtract,"\xe949"},
{IconTypes.Calendar,"\xe787"},
{IconTypes.CalendarDay,"\xe8bf"},
{IconTypes.CalendarMirrored,"\xed28"},
{IconTypes.CalendarReply,"\xe8f5"},
{IconTypes.CalendarSolid,"\xea89"},
{IconTypes.CalendarWeek,"\xe8c0"},
{IconTypes.CallControl,"\xe80b"},
{IconTypes.CallForwarding,"\xe7f2"},
{IconTypes.CallForwardingMirrored,"\xea97"},
{IconTypes.CallForwardInternational,"\xe87a"},
{IconTypes.CallForwardInternationalMirrored,"\xea43"},
{IconTypes.CallForwardRoaming,"\xe87b"},
{IconTypes.CallForwardRoamingMirrored,"\xea44"},
{IconTypes.CalligraphyFill,"\xf0c7"},
{IconTypes.CalligraphyPen,"\xedfb"},
{IconTypes.Calories,"\xecad"},
{IconTypes.Camera,"\xe722"},
{IconTypes.Cancel,"\xe711"},
{IconTypes.CancelMedium,"\xf78a"},
{IconTypes.Caption,"\xe8ba"},
{IconTypes.Car,"\xe804"},
{IconTypes.CaretBottomRightSolidCenter8,"\xf169"},
{IconTypes.CaretDown8,"\xedd8"},
{IconTypes.CaretDownSolid8,"\xeddc"},
{IconTypes.CaretLeft8,"\xedd5"},
{IconTypes.CaretLeftSolid8,"\xedd9"},
{IconTypes.CaretRight8,"\xedd6"},
{IconTypes.CaretRightSolid8,"\xedda"},
{IconTypes.CaretSolidDown,"\xf08e"},
{IconTypes.CaretSolidLeft,"\xf08d"},
{IconTypes.CaretSolidRight,"\xf08f"},
{IconTypes.CaretSolidUp,"\xf090"},
{IconTypes.CaretUp8,"\xedd7"},
{IconTypes.CaretUpSolid8,"\xeddb"},
{IconTypes.CashDrawer,"\xec59"},
{IconTypes.CC,"\xe7f0"},
{IconTypes.CellPhone,"\xe8ea"},
{IconTypes.Certificate,"\xeb95"},
{IconTypes.CharacterAppearance,"\xf17f"},
{IconTypes.Characters,"\xe8c1"},
{IconTypes.ChatBubbles,"\xe8f2"},
{IconTypes.Checkbox,"\xe739"},
{IconTypes.Checkbox14,"\xf16b"},
{IconTypes.CheckboxComposite,"\xe73a"},
{IconTypes.CheckboxComposite14,"\xf16c"},
{IconTypes.CheckboxCompositeReversed,"\xe73d"},
{IconTypes.CheckboxFill,"\xe73b"},
{IconTypes.CheckboxIndeterminate,"\xe73c"},
{IconTypes.CheckboxIndeterminateCombo,"\xf16e"},
{IconTypes.CheckboxIndeterminateCombo14,"\xf16d"},
{IconTypes.CheckList,"\xe9d5"},
{IconTypes.ChecklistMirrored,"\xf0b5"},
{IconTypes.CheckMark,"\xe73e"},
{IconTypes.ChevronDown,"\xe70d"},
{IconTypes.ChevronDownMed,"\xe972"},
{IconTypes.ChevronDownSmall,"\xe96e"},
{IconTypes.ChevronLeft,"\xe76b"},
{IconTypes.ChevronLeft20,"\xf743"},
{IconTypes.ChevronLeft32,"\xf744"},
{IconTypes.ChevronLeftMed,"\xe973"},
{IconTypes.ChevronLeftSmall,"\xe96f"},
{IconTypes.ChevronRight,"\xe76c"},
{IconTypes.ChevronRight20,"\xf745"},
{IconTypes.ChevronRight32,"\xf746"},
{IconTypes.ChevronRightMed,"\xe974"},
{IconTypes.ChevronRightSmall,"\xe970"},
{IconTypes.ChevronUp,"\xe70e"},
{IconTypes.ChevronUpMed,"\xe971"},
{IconTypes.ChevronUpSmall,"\xe96d"},
{IconTypes.ChineseBoPoMoFo,"\xe989"},
{IconTypes.ChineseChangjie,"\xe981"},
{IconTypes.ChinesePinyin,"\xe98a"},
{IconTypes.ChinesePunctuation,"\xf111"},
{IconTypes.ChineseQuick,"\xe984"},
{IconTypes.ChipCardCreditCardReader,"\xef40"},
{IconTypes.ChromeAnnotate,"\xe931"},
{IconTypes.ChromeAnnotateContrast,"\xf0f9"},
{IconTypes.ChromeBack,"\xe830"},
{IconTypes.ChromeBackContrast,"\xf0d5"},
{IconTypes.ChromeBackContrastMirrored,"\xf0d6"},
{IconTypes.ChromeBackMirrored,"\xea47"},
{IconTypes.ChromeBackToWindow,"\xe92c"},
{IconTypes.ChromeBackToWindowContrast,"\xf0d7"},
{IconTypes.ChromeClose,"\xe8bb"},
{IconTypes.ChromeCloseContrast,"\xef2c"},
{IconTypes.ChromeFullScreen,"\xe92d"},
{IconTypes.ChromeFullScreenContrast,"\xf0d8"},
{IconTypes.ChromeMaximize,"\xe922"},
{IconTypes.ChromeMaximizeContrast,"\xef2e"},
{IconTypes.ChromeMinimize,"\xe921"},
{IconTypes.ChromeMinimizeContrast,"\xef2d"},
{IconTypes.ChromeRestore,"\xe923"},
{IconTypes.ChromeRestoreContrast,"\xef2f"},
{IconTypes.ChromeSwitch,"\xf1cb"},
{IconTypes.ChromeSwitchContast,"\xf1cc"},
{IconTypes.CHTLanguageBar,"\xf69e"},
{IconTypes.CircleFill,"\xea3b"},
{IconTypes.CircleFillBadge12,"\xedb0"},
{IconTypes.CircleRing,"\xea3a"},
{IconTypes.CircleRingBadge12,"\xedaf"},
{IconTypes.CircleShapeSolid,"\xf63c"},
{IconTypes.CityNext,"\xec06"},
{IconTypes.CityNext2,"\xec07"},
{IconTypes.Clear,"\xe894"},
{IconTypes.ClearAllInk,"\xed62"},
{IconTypes.ClearAllInkMirrored,"\xef19"},
{IconTypes.ClearSelection,"\xe8e6"},
{IconTypes.ClearSelectionMirrored,"\xea48"},
{IconTypes.Click,"\xe8b0"},
{IconTypes.ClickedOutLoudSolidBold,"\xf8b3"},
{IconTypes.ClickSolid,"\xf8af"},
{IconTypes.ClipboardList,"\xf0e3"},
{IconTypes.ClipboardListMirrored,"\xf0e4"},
{IconTypes.ClippingTool,"\xf406"},
{IconTypes.ClosedCaptionsInternational,"\xf15f"},
{IconTypes.ClosePane,"\xe89f"},
{IconTypes.ClosePaneMirrored,"\xea49"},
{IconTypes.Cloud,"\xe753"},
{IconTypes.CloudDownload,"\xebd3"},
{IconTypes.CloudPrinter,"\xeda6"},
{IconTypes.CloudSearch,"\xede4"},
{IconTypes.Code,"\xe943"},
{IconTypes.CollapseContent,"\xf165"},
{IconTypes.CollapseContentSingle,"\xf166"},
{IconTypes.CollateLandscape,"\xf57b"},
{IconTypes.CollateLandscapeSeparated,"\xf5ac"},
{IconTypes.CollatePortrait,"\xf57c"},
{IconTypes.CollatePortraitSeparated,"\xf57d"},
{IconTypes.Color,"\xe790"},
{IconTypes.ColorOff,"\xf570"},
{IconTypes.ColorSolid,"\xf354"},
{IconTypes.CommaKey,"\xe9ad"},
{IconTypes.CommandPrompt,"\xe756"},
{IconTypes.Comment,"\xe90a"},
{IconTypes.Communications,"\xe95a"},
{IconTypes.CompanionApp,"\xec64"},
{IconTypes.CompanionDeviceFramework,"\xed5d"},
{IconTypes.Completed,"\xe930"},
{IconTypes.CompletedSolid,"\xec61"},
{IconTypes.Component,"\xe950"},
{IconTypes.ComposeMode,"\xf6a9"},
{IconTypes.Connect,"\xe703"},
{IconTypes.ConnectApp,"\xed5c"},
{IconTypes.Connected,"\xf0b9"},
{IconTypes.Construction,"\xe822"},
{IconTypes.ConstructionCone,"\xe98f"},
{IconTypes.ConstructionSolid,"\xea8d"},
{IconTypes.Contact,"\xe77b"},
{IconTypes.Contact2,"\xe8d4"},
{IconTypes.ContactInfo,"\xe779"},
{IconTypes.ContactInfoMirrored,"\xea4a"},
{IconTypes.ContactPresence,"\xe8cf"},
{IconTypes.ContactSolid,"\xea8c"},
{IconTypes.Copy,"\xe8c8"},
{IconTypes.CopyTo,"\xf413"},
{IconTypes.Courthouse,"\xec08"},
{IconTypes.Crop,"\xe7a8"},
{IconTypes.CtrlSpatialLeft,"\xf3e7"},
{IconTypes.CtrlSpatialRight,"\xf11b"},
{IconTypes.Cut,"\xe8c6"},
{IconTypes.DashKey,"\xe9ae"},
{IconTypes.DataSense,"\xe791"},
{IconTypes.DataSenseBar,"\xe7a5"},
{IconTypes.DateTime,"\xec92"},
{IconTypes.DateTimeMirrored,"\xee93"},
{IconTypes.DeclineCall,"\xf405"},
{IconTypes.DefaultAPN,"\xf080"},
{IconTypes.DefenderApp,"\xe83d"},
{IconTypes.DefenderBadge12,"\xf0fb"},
{IconTypes.Delete,"\xe74d"},
{IconTypes.DeleteLines,"\xf7af"},
{IconTypes.DeleteLinesFill,"\xf7b0"},
{IconTypes.DeleteWord,"\xf7ad"},
{IconTypes.DeleteWordFill,"\xf7ae"},
{IconTypes.DeliveryOptimization,"\xf785"},
{IconTypes.Design,"\xeb3c"},
{IconTypes.DetachablePC,"\xf103"},
{IconTypes.DeveloperTools,"\xec7a"},
{IconTypes.DeviceDiscovery,"\xebde"},
{IconTypes.DeviceLaptopNoPic,"\xe7f8"},
{IconTypes.DeviceLaptopPic,"\xe7f7"},
{IconTypes.DeviceMonitorLeftPic,"\xe7fa"},
{IconTypes.DeviceMonitorNoPic,"\xe7fb"},
{IconTypes.DeviceMonitorRightPic,"\xe7f9"},
{IconTypes.Devices,"\xe772"},
{IconTypes.Devices2,"\xe975"},
{IconTypes.Devices3,"\xea6c"},
{IconTypes.Devices4,"\xeb66"},
{IconTypes.DevUpdate,"\xecc5"},
{IconTypes.Diagnostic,"\xe9d9"},
{IconTypes.Dial1,"\xf146"},
{IconTypes.Dial10,"\xf14f"},
{IconTypes.Dial11,"\xf150"},
{IconTypes.Dial12,"\xf151"},
{IconTypes.Dial13,"\xf152"},
{IconTypes.Dial14,"\xf153"},
{IconTypes.Dial15,"\xf154"},
{IconTypes.Dial16,"\xf155"},
{IconTypes.Dial2,"\xf147"},
{IconTypes.Dial3,"\xf148"},
{IconTypes.Dial4,"\xf149"},
{IconTypes.Dial5,"\xf14a"},
{IconTypes.Dial6,"\xf14b"},
{IconTypes.Dial7,"\xf14c"},
{IconTypes.Dial8,"\xf14d"},
{IconTypes.Dial9,"\xf14e"},
{IconTypes.Dialpad,"\xe75f"},
{IconTypes.DialShape1,"\xf156"},
{IconTypes.DialShape2,"\xf157"},
{IconTypes.DialShape3,"\xf158"},
{IconTypes.DialShape4,"\xf159"},
{IconTypes.DialUp,"\xe83c"},
{IconTypes.Dictionary,"\xe82d"},
{IconTypes.DictionaryAdd,"\xe82e"},
{IconTypes.DictionaryCloud,"\xebc3"},
{IconTypes.DirectAccess,"\xe83b"},
{IconTypes.Directions,"\xe8f0"},
{IconTypes.DisableUpdates,"\xe8d8"},
{IconTypes.DisconnectDisplay,"\xea14"},
{IconTypes.DisconnectDrive,"\xe8cd"},
{IconTypes.Dislike,"\xe8e0"},
{IconTypes.DMC,"\xe951"},
{IconTypes.Dock,"\xe952"},
{IconTypes.DockBottom,"\xe90e"},
{IconTypes.DockLeft,"\xe90c"},
{IconTypes.DockLeftMirrored,"\xea4c"},
{IconTypes.DockRight,"\xe90d"},
{IconTypes.DockRightMirrored,"\xea4b"},
{IconTypes.Document,"\xe8a5"},
{IconTypes.DocumentApproval,"\xf28b"},
{IconTypes.DoublePinyin,"\xf085"},
{IconTypes.Down,"\xe74b"},
{IconTypes.Download,"\xe896"},
{IconTypes.DownloadMap,"\xe826"},
{IconTypes.DownShiftKey,"\xe84a"},
{IconTypes.Dpad,"\xf10e"},
{IconTypes.Draw,"\xec87"},
{IconTypes.DrawSolid,"\xec88"},
{IconTypes.DrivingMode,"\xe7ec"},
{IconTypes.Drop,"\xeb42"},
{IconTypes.DullSound,"\xe911"},
{IconTypes.DullSoundKey,"\xe9af"},
{IconTypes.DuplexLandscapeOneSided,"\xf57e"},
{IconTypes.DuplexLandscapeOneSidedMirrored,"\xf57f"},
{IconTypes.DuplexLandscapeTwoSidedLongEdge,"\xf580"},
{IconTypes.DuplexLandscapeTwoSidedLongEdgeMirrored,"\xf581"},
{IconTypes.DuplexLandscapeTwoSidedShortEdge,"\xf582"},
{IconTypes.DuplexLandscapeTwoSidedShortEdgeMirrored,"\xf583"},
{IconTypes.DuplexPortraitOneSided,"\xf584"},
{IconTypes.DuplexPortraitOneSidedMirrored,"\xf585"},
{IconTypes.DuplexPortraitTwoSidedLongEdge,"\xf586"},
{IconTypes.DuplexPortraitTwoSidedLongEdgeMirrored,"\xf587"},
{IconTypes.DuplexPortraitTwoSidedShortEdge,"\xf588"},
{IconTypes.DuplexPortraitTwoSidedShortEdgeMirrored,"\xf589"},
{IconTypes.DynamicLock,"\xf439"},
{IconTypes.Ear,"\xf270"},
{IconTypes.Earbud,"\xf4c0"},
{IconTypes.EaseOfAccess,"\xe776"},
{IconTypes.Edit,"\xe70f"},
{IconTypes.EditMirrored,"\xeb7e"},
{IconTypes.Education,"\xe7be"},
{IconTypes.EducationIcon,"\xf7bb"},
{IconTypes.Eject,"\xf847"},
{IconTypes.EMI,"\xe731"},
{IconTypes.Emoji,"\xe899"},
{IconTypes.Emoji2,"\xe76e"},
{IconTypes.EmojiSwatch,"\xed5b"},
{IconTypes.EmojiTabCelebrationObjects,"\xed55"},
{IconTypes.EmojiTabFavorites,"\xed5a"},
{IconTypes.EmojiTabFoodPlants,"\xed56"},
{IconTypes.EmojiTabMoreSymbols,"\xf6ba"},
{IconTypes.EmojiTabPeople,"\xed53"},
{IconTypes.EmojiTabSmilesAnimals,"\xed54"},
{IconTypes.EmojiTabSymbols,"\xed58"},
{IconTypes.EmojiTabTextSmiles,"\xed59"},
{IconTypes.EmojiTabTransitPlaces,"\xed57"},
{IconTypes.EndPoint,"\xe81b"},
{IconTypes.EndPointSolid,"\xeb4b"},
{IconTypes.EnglishPunctuation,"\xf110"},
{IconTypes.Equalizer,"\xe9e9"},
{IconTypes.EraseTool,"\xe75c"},
{IconTypes.EraseToolFill,"\xe82b"},
{IconTypes.EraseToolFill2,"\xe82c"},
{IconTypes.Error,"\xe783"},
{IconTypes.ErrorBadge,"\xea39"},
{IconTypes.ErrorBadge12,"\xedae"},
{IconTypes.eSIM,"\xf61b"},
{IconTypes.eSIMBusy,"\xf61e"},
{IconTypes.eSIMLocked,"\xf61d"},
{IconTypes.eSIMNoProfile,"\xf61c"},
{IconTypes.Ethernet,"\xe839"},
{IconTypes.EthernetError,"\xeb55"},
{IconTypes.EthernetWarning,"\xeb56"},
{IconTypes.Event12,"\xf763"},
{IconTypes.ExpandTile,"\xe976"},
{IconTypes.ExpandTileMirrored,"\xea4e"},
{IconTypes.ExploitProtection,"\xf8a6"},
{IconTypes.ExploitProtectionSettings,"\xf259"},
{IconTypes.ExploreContent,"\xeccd"},
{IconTypes.ExploreContentSingle,"\xf164"},
{IconTypes.Export,"\xede1"},
{IconTypes.ExportMirrored,"\xede2"},
{IconTypes.ExpressiveInputEntry,"\xf6b8"},
{IconTypes.Eyedropper,"\xef3c"},
{IconTypes.EyeGaze,"\xf19d"},
{IconTypes.Family,"\xebda"},
{IconTypes.FastForward,"\xeb9d"},
{IconTypes.Favicon,"\xe737"},
{IconTypes.Favicon2,"\xec6c"},
{IconTypes.FavoriteList,"\xe728"},
{IconTypes.FavoriteStar,"\xe734"},
{IconTypes.FavoriteStarFill,"\xe735"},
{IconTypes.Feedback,"\xed15"},
{IconTypes.FeedbackApp,"\xe939"},
{IconTypes.Ferry,"\xe7e3"},
{IconTypes.FerrySolid,"\xeb48"},
{IconTypes.FileExplorer,"\xec50"},
{IconTypes.FileExplorerApp,"\xec51"},
{IconTypes.Filter,"\xe71c"},
{IconTypes.FingerInking,"\xed5f"},
{IconTypes.Fingerprint,"\xe928"},
{IconTypes.FitPage,"\xe9a6"},
{IconTypes.Flag,"\xe7c1"},
{IconTypes.Flashlight,"\xe754"},
{IconTypes.FlickDown,"\xe935"},
{IconTypes.FlickLeft,"\xe937"},
{IconTypes.FlickRight,"\xe938"},
{IconTypes.FlickUp,"\xe936"},
{IconTypes.Flow,"\xef90"},
{IconTypes.Folder,"\xe8b7"},
{IconTypes.FolderFill,"\xe8d5"},
{IconTypes.FolderHorizontal,"\xf12b"},
{IconTypes.FolderOpen,"\xe838"},
{IconTypes.FolderSelect,"\xf89a"},
{IconTypes.Font,"\xe8d2"},
{IconTypes.FontColor,"\xe8d3"},
{IconTypes.FontDecrease,"\xe8e7"},
{IconTypes.FontIncrease,"\xe8e8"},
{IconTypes.FontSize,"\xe8e9"},
{IconTypes.Forward,"\xe72a"},
{IconTypes.ForwardCall,"\xeac2"},
{IconTypes.ForwardMirrored,"\xf0d3"},
{IconTypes.ForwardSm,"\xe9ac"},
{IconTypes.ForwardSolidBold,"\xf8ad"},
{IconTypes.FourBars,"\xe908"},
{IconTypes.FreeFormClipping,"\xf408"},
{IconTypes.Frigid,"\xe9ca"},
{IconTypes.Full20,"\xf741"},
{IconTypes.FullAlpha,"\xe97f"},
{IconTypes.FullCircleMask,"\xe91f"},
{IconTypes.FullHiragana,"\xe986"},
{IconTypes.FullKatakana,"\xe987"},
{IconTypes.FullScreen,"\xe740"},
{IconTypes.FuzzyReading,"\xf5ef"},
{IconTypes.Game,"\xe7fc"},
{IconTypes.GameConsole,"\xe967"},
{IconTypes.GatewayRouter,"\xeb77"},
{IconTypes.GenericScan,"\xee6f"},
{IconTypes.GIF,"\xf4a9"},
{IconTypes.GiftboxOpen,"\xf133"},
{IconTypes.GlobalNavButton,"\xe700"},
{IconTypes.Globe,"\xe774"},
{IconTypes.Globe2,"\xf49a"},
{IconTypes.Go,"\xe8ad"},
{IconTypes.GoMirrored,"\xea4f"},
{IconTypes.GoToMessage,"\xf716"},
{IconTypes.GoToStart,"\xe8fc"},
{IconTypes.GotoToday,"\xe8d1"},
{IconTypes.GridView,"\xf0e2"},
{IconTypes.GripperBarHorizontal,"\xe76f"},
{IconTypes.GripperBarVertical,"\xe784"},
{IconTypes.GripperResize,"\xe788"},
{IconTypes.GripperResizeMirrored,"\xea50"},
{IconTypes.GripperTool,"\xe75e"},
{IconTypes.Groceries,"\xec09"},
{IconTypes.Group,"\xe902"},
{IconTypes.GroupList,"\xf168"},
{IconTypes.GuestUser,"\xee57"},
{IconTypes.HalfAlpha,"\xe97e"},
{IconTypes.HalfDullSound,"\xe9b0"},
{IconTypes.HalfKatakana,"\xe988"},
{IconTypes.HalfStarLeft,"\xe7c6"},
{IconTypes.HalfStarRight,"\xe7c7"},
{IconTypes.Handwriting,"\xe929"},
{IconTypes.Handwriting20,"\xf742"},
{IconTypes.HangUp,"\xe778"},
{IconTypes.HardDrive,"\xeda2"},
{IconTypes.HeadlessDevice,"\xf191"},
{IconTypes.Headphone,"\xe7f6"},
{IconTypes.Headphone0,"\xed30"},
{IconTypes.Headphone1,"\xed31"},
{IconTypes.Headphone2,"\xed32"},
{IconTypes.Headphone3,"\xed33"},
{IconTypes.Headset,"\xe95b"},
{IconTypes.Health,"\xe95e"},
{IconTypes.Heart,"\xeb51"},
{IconTypes.HeartBroken,"\xea92"},
{IconTypes.HeartFill,"\xeb52"},
{IconTypes.Help,"\xe897"},
{IconTypes.HelpMirrored,"\xea51"},
{IconTypes.Hide,"\xed1a"},
{IconTypes.HideBcc,"\xe8c5"},
{IconTypes.Highlight,"\xe7e6"},
{IconTypes.HighlightFill,"\xe891"},
{IconTypes.HighlightFill2,"\xe82a"},
{IconTypes.History,"\xe81c"},
{IconTypes.HMD,"\xf119"},
{IconTypes.HolePunchLandscapeBottom,"\xf597"},
{IconTypes.HolePunchLandscapeLeft,"\xf594"},
{IconTypes.HolePunchLandscapeRight,"\xf595"},
{IconTypes.HolePunchLandscapeTop,"\xf596"},
{IconTypes.HolePunchOff,"\xf58f"},
{IconTypes.HolePunchPortraitBottom,"\xf593"},
{IconTypes.HolePunchPortraitLeft,"\xf590"},
{IconTypes.HolePunchPortraitRight,"\xf591"},
{IconTypes.HolePunchPortraitTop,"\xf592"},
{IconTypes.HoloLens,"\xec94"},
{IconTypes.HoloLensSelected,"\xf4bf"},
{IconTypes.Home,"\xe80f"},
{IconTypes.HomeGroup,"\xec26"},
{IconTypes.HomeSolid,"\xea8a"},
{IconTypes.HorizontalTabKey,"\xe7fd"},
{IconTypes.HWPInsert,"\xf461"},
{IconTypes.HWPJoin,"\xf460"},
{IconTypes.HWPNewLine,"\xf465"},
{IconTypes.HWPOverwrite,"\xf466"},
{IconTypes.HWPScratchOut,"\xf463"},
{IconTypes.HWPSplit,"\xf464"},
{IconTypes.HWPStrikeThrough,"\xf462"},
{IconTypes.IBeam,"\xe933"},
{IconTypes.IBeamOutline,"\xe934"},
{IconTypes.IDBadge,"\xf427"},
{IconTypes.ImageExport,"\xee71"},
{IconTypes.Import,"\xe8b5"},
{IconTypes.ImportAll,"\xe8b6"},
{IconTypes.ImportAllMirrored,"\xea53"},
{IconTypes.Important,"\xe8c9"},
{IconTypes.ImportantBadge12,"\xedb1"},
{IconTypes.ImportMirrored,"\xea52"},
{IconTypes.IncidentTriangle,"\xe814"},
{IconTypes.IncomingCall,"\xe77e"},
{IconTypes.Info,"\xe946"},
{IconTypes.Info2,"\xea1f"},
{IconTypes.InfoSolid,"\xf167"},
{IconTypes.InkingCaret,"\xed65"},
{IconTypes.InkingColorFill,"\xed67"},
{IconTypes.InkingColorOutline,"\xed66"},
{IconTypes.InkingTool,"\xe76d"},
{IconTypes.InkingToolFill,"\xe88f"},
{IconTypes.InkingToolFill2,"\xe829"},
{IconTypes.InPrivate,"\xe727"},
{IconTypes.Input,"\xe961"},
{IconTypes.InsiderHubApp,"\xec24"},
{IconTypes.InstertWords,"\xf7b1"},
{IconTypes.InstertWordsFill,"\xf7b2"},
{IconTypes.InteractiveDashboard,"\xf404"},
{IconTypes.InternetSharing,"\xe704"},
{IconTypes.IOT,"\xf22c"},
{IconTypes.Italic,"\xe8db"},
{IconTypes.Japanese,"\xe985"},
{IconTypes.JoinWords,"\xf7b3"},
{IconTypes.JoinWordsFill,"\xf7b4"},
{IconTypes.JpnRomanji,"\xe87c"},
{IconTypes.JpnRomanjiLock,"\xe87d"},
{IconTypes.JpnRomanjiShift,"\xe87e"},
{IconTypes.JpnRomanjiShiftLock,"\xe87f"},
{IconTypes.Key12On,"\xe980"},
{IconTypes.Keyboard12Key,"\xf261"},
{IconTypes.KeyboardBrightness,"\xed39"},
{IconTypes.KeyboardClassic,"\xe765"},
{IconTypes.KeyboardDismiss,"\xe92f"},
{IconTypes.KeyboardDock,"\xf26b"},
{IconTypes.KeyboardFull,"\xec31"},
{IconTypes.KeyboardLeftAligned,"\xf20c"},
{IconTypes.KeyboardLeftDock,"\xf26d"},
{IconTypes.KeyboardLeftHanded,"\xe763"},
{IconTypes.KeyboardLowerBrightness,"\xed3a"},
{IconTypes.KeyboardNarrow,"\xf260"},
{IconTypes.KeyboardOneHanded,"\xed4c"},
{IconTypes.KeyboardRightAligned,"\xf20d"},
{IconTypes.KeyboardRightDock,"\xf26e"},
{IconTypes.KeyboardRightHanded,"\xe764"},
{IconTypes.KeyboardSettings,"\xf210"},
{IconTypes.Keyboardsettings20,"\xf73d"},
{IconTypes.KeyboardShortcut,"\xeda7"},
{IconTypes.KeyboardSplit,"\xe766"},
{IconTypes.KeyboardStandard,"\xe92e"},
{IconTypes.KeyboardUndock,"\xf26c"},
{IconTypes.Kiosk,"\xf712"},
{IconTypes.KnowledgeArticle,"\xf000"},
{IconTypes.Korean,"\xe97d"},
{IconTypes.Label,"\xe932"},
{IconTypes.LandscapeOrientation,"\xef6b"},
{IconTypes.LandscapeOrientationMirrored,"\xf56f"},
{IconTypes.LangJPN,"\xe7de"},
{IconTypes.LanguageChs,"\xe88d"},
{IconTypes.LanguageCht,"\xe88c"},
{IconTypes.LanguageJpn,"\xec45"},
{IconTypes.LanguageKor,"\xe88b"},
{IconTypes.LaptopSecure,"\xf552"},
{IconTypes.LaptopSelected,"\xec76"},
{IconTypes.LargeErase,"\xf12a"},
{IconTypes.Leaf,"\xe8be"},
{IconTypes.LeaveChat,"\xe89b"},
{IconTypes.LeaveChatMirrored,"\xea54"},
{IconTypes.LEDLight,"\xe781"},
{IconTypes.LeftArrowKeyTime0,"\xec52"},
{IconTypes.LeftDoubleQuote,"\xe9b2"},
{IconTypes.LeftQuote,"\xe848"},
{IconTypes.LeftStick,"\xf108"},
{IconTypes.Lexicon,"\xf180"},
{IconTypes.Library,"\xe8f1"},
{IconTypes.Light,"\xe793"},
{IconTypes.Lightbulb,"\xea80"},
{IconTypes.LightningBolt,"\xe945"},
{IconTypes.Like,"\xe8e1"},
{IconTypes.LikeDislike,"\xe8df"},
{IconTypes.LineDisplay,"\xef3d"},
{IconTypes.Link,"\xe71b"},
{IconTypes.List,"\xea37"},
{IconTypes.ListMirrored,"\xea55"},
{IconTypes.LocaleLanguage,"\xf2b7"},
{IconTypes.Location,"\xe81d"},
{IconTypes.Lock,"\xe72e"},
{IconTypes.LockFeedback,"\xebdb"},
{IconTypes.LockscreenDesktop,"\xee3f"},
{IconTypes.LockScreenGlance,"\xee65"},
{IconTypes.LowerBrightness,"\xec8a"},
{IconTypes.MagStripeReader,"\xec5c"},
{IconTypes.Mail,"\xe715"},
{IconTypes.MailBadge12,"\xedb3"},
{IconTypes.MailFill,"\xe8a8"},
{IconTypes.MailForward,"\xe89c"},
{IconTypes.MailForwardMirrored,"\xea56"},
{IconTypes.MailReply,"\xe8ca"},
{IconTypes.MailReplyAll,"\xe8c2"},
{IconTypes.MailReplyAllMirrored,"\xea58"},
{IconTypes.MailReplyMirrored,"\xea57"},
{IconTypes.Manage,"\xe912"},
{IconTypes.MapCompassBottom,"\xe813"},
{IconTypes.MapCompassTop,"\xe812"},
{IconTypes.MapDirections,"\xe816"},
{IconTypes.MapDrive,"\xe8ce"},
{IconTypes.MapLayers,"\xe81e"},
{IconTypes.MapPin,"\xe707"},
{IconTypes.MapPin2,"\xe7b7"},
{IconTypes.Marker,"\xed64"},
{IconTypes.Market,"\xeafc"},
{IconTypes.MarketDown,"\xef42"},
{IconTypes.Marquee,"\xef20"},
{IconTypes.Media,"\xea69"},
{IconTypes.MediaStorageTower,"\xe965"},
{IconTypes.Megaphone,"\xe789"},
{IconTypes.Memo,"\xe77c"},
{IconTypes.MergeCall,"\xea3c"},
{IconTypes.Message,"\xe8bd"},
{IconTypes.MicClipping,"\xec72"},
{IconTypes.MicError,"\xec56"},
{IconTypes.MicLocationCombo,"\xf47f"},
{IconTypes.MicOff,"\xec54"},
{IconTypes.MicOff2,"\xf781"},
{IconTypes.MicOn,"\xec71"},
{IconTypes.Microphone,"\xe720"},
{IconTypes.MicrophoneListening,"\xf12e"},
{IconTypes.MicrophoneSolidBold,"\xf8b1"},
{IconTypes.MicSleep,"\xec55"},
{IconTypes.MiniContract2Mirrored,"\xee49"},
{IconTypes.MiniExpand2Mirrored,"\xee47"},
{IconTypes.MiracastLogoLarge,"\xec16"},
{IconTypes.MiracastLogoSmall,"\xec15"},
{IconTypes.MixedMediaBadge,"\xea0d"},
{IconTypes.MixVolumes,"\xf4c3"},
{IconTypes.MobActionCenter,"\xec42"},
{IconTypes.MobAirplane,"\xec40"},
{IconTypes.MobBattery0,"\xeba0"},
{IconTypes.MobBattery1,"\xeba1"},
{IconTypes.MobBattery10,"\xebaa"},
{IconTypes.MobBattery2,"\xeba2"},
{IconTypes.MobBattery3,"\xeba3"},
{IconTypes.MobBattery4,"\xeba4"},
{IconTypes.MobBattery5,"\xeba5"},
{IconTypes.MobBattery6,"\xeba6"},
{IconTypes.MobBattery7,"\xeba7"},
{IconTypes.MobBattery8,"\xeba8"},
{IconTypes.MobBattery9,"\xeba9"},
{IconTypes.MobBatteryCharging0,"\xebab"},
{IconTypes.MobBatteryCharging1,"\xebac"},
{IconTypes.MobBatteryCharging10,"\xebb5"},
{IconTypes.MobBatteryCharging2,"\xebad"},
{IconTypes.MobBatteryCharging3,"\xebae"},
{IconTypes.MobBatteryCharging4,"\xebaf"},
{IconTypes.MobBatteryCharging5,"\xebb0"},
{IconTypes.MobBatteryCharging6,"\xebb1"},
{IconTypes.MobBatteryCharging7,"\xebb2"},
{IconTypes.MobBatteryCharging8,"\xebb3"},
{IconTypes.MobBatteryCharging9,"\xebb4"},
{IconTypes.MobBatterySaver0,"\xebb6"},
{IconTypes.MobBatterySaver1,"\xebb7"},
{IconTypes.MobBatterySaver10,"\xebc0"},
{IconTypes.MobBatterySaver2,"\xebb8"},
{IconTypes.MobBatterySaver3,"\xebb9"},
{IconTypes.MobBatterySaver4,"\xebba"},
{IconTypes.MobBatterySaver5,"\xebbb"},
{IconTypes.MobBatterySaver6,"\xebbc"},
{IconTypes.MobBatterySaver7,"\xebbd"},
{IconTypes.MobBatterySaver8,"\xebbe"},
{IconTypes.MobBatterySaver9,"\xebbf"},
{IconTypes.MobBatteryUnknown,"\xec02"},
{IconTypes.MobBluetooth,"\xec41"},
{IconTypes.MobCallForwarding,"\xec7e"},
{IconTypes.MobCallForwardingMirrored,"\xec7f"},
{IconTypes.MobDrivingMode,"\xec47"},
{IconTypes.MobeSIM,"\xed2a"},
{IconTypes.MobeSIMBusy,"\xed2d"},
{IconTypes.MobeSIMLocked,"\xed2c"},
{IconTypes.MobeSIMNoProfile,"\xed2b"},
{IconTypes.MobileLocked,"\xec20"},
{IconTypes.MobileSelected,"\xec75"},
{IconTypes.MobileTablet,"\xe8cc"},
{IconTypes.MobLocation,"\xec43"},
{IconTypes.MobQuietHours,"\xec46"},
{IconTypes.MobSignal1,"\xec37"},
{IconTypes.MobSignal2,"\xec38"},
{IconTypes.MobSignal3,"\xec39"},
{IconTypes.MobSignal4,"\xec3a"},
{IconTypes.MobSignal5,"\xec3b"},
{IconTypes.MobSIMError,"\xf5ab"},
{IconTypes.MobSIMLock,"\xe875"},
{IconTypes.MobSIMMissing,"\xe876"},
{IconTypes.MobWifi1,"\xec3c"},
{IconTypes.MobWifi2,"\xec3d"},
{IconTypes.MobWifi3,"\xec3e"},
{IconTypes.MobWifi4,"\xec3f"},
{IconTypes.MobWifiCall0,"\xebd5"},
{IconTypes.MobWifiCall1,"\xebd6"},
{IconTypes.MobWifiCall2,"\xebd7"},
{IconTypes.MobWifiCall3,"\xebd8"},
{IconTypes.MobWifiCall4,"\xebd9"},
{IconTypes.MobWifiCallBars,"\xebd4"},
{IconTypes.MobWifiHotspot,"\xec44"},
{IconTypes.MobWifiWarning1,"\xf473"},
{IconTypes.MobWifiWarning2,"\xf474"},
{IconTypes.MobWifiWarning3,"\xf475"},
{IconTypes.MobWifiWarning4,"\xf476"},
{IconTypes.More,"\xe712"},
{IconTypes.Mouse,"\xe962"},
{IconTypes.Move,"\xe7c2"},
{IconTypes.MoveToFolder,"\xe8de"},
{IconTypes.Movies,"\xe8b2"},
{IconTypes.MultimediaDMP,"\xed47"},
{IconTypes.MultimediaDMS,"\xe953"},
{IconTypes.MultimediaDVR,"\xe954"},
{IconTypes.MultimediaPMP,"\xe955"},
{IconTypes.MultiSelect,"\xe762"},
{IconTypes.MultiSelectMirrored,"\xea98"},
{IconTypes.MusicAlbum,"\xe93c"},
{IconTypes.MusicInfo,"\xe90b"},
{IconTypes.MusicNote,"\xec4f"},
{IconTypes.MusicSharing,"\xf623"},
{IconTypes.MusicSharingOff,"\xf624"},
{IconTypes.Mute,"\xe74f"},
{IconTypes.MyNetwork,"\xec27"},
{IconTypes.Narrator,"\xed4d"},
{IconTypes.NarratorApp,"\xf83b"},
{IconTypes.NarratorForward,"\xeda9"},
{IconTypes.NarratorForwardMirrored,"\xedaa"},
{IconTypes.NearbySharing,"\xf3e2"},
{IconTypes.Network,"\xe968"},
{IconTypes.NetworkAdapter,"\xeda3"},
{IconTypes.NetworkConnected,"\xf385"},
{IconTypes.NetworkConnectedCheckmark,"\xf386"},
{IconTypes.NetworkOffline,"\xf384"},
{IconTypes.NetworkPhysical,"\xf211"},
{IconTypes.NetworkPrinter,"\xeda5"},
{IconTypes.NetworkSharing,"\xf193"},
{IconTypes.NetworkTower,"\xec05"},
{IconTypes.NewFolder,"\xe8f4"},
{IconTypes.NewWindow,"\xe78b"},
{IconTypes.Next,"\xe893"},
{IconTypes.NoiseCancelation,"\xf61f"},
{IconTypes.NoiseCancelationOff,"\xf620"},
{IconTypes.NUIFace,"\xeb68"},
{IconTypes.NUIFPContinueSlideAction,"\xeb85"},
{IconTypes.NUIFPContinueSlideHand,"\xeb84"},
{IconTypes.NUIFPPressAction,"\xeb8b"},
{IconTypes.NUIFPPressHand,"\xeb8a"},
{IconTypes.NUIFPPressRepeatAction,"\xeb8d"},
{IconTypes.NUIFPPressRepeatHand,"\xeb8c"},
{IconTypes.NUIFPRollLeftAction,"\xeb89"},
{IconTypes.NUIFPRollLeftHand,"\xeb88"},
{IconTypes.NUIFPRollRightHand,"\xeb86"},
{IconTypes.NUIFPRollRightHandAction,"\xeb87"},
{IconTypes.NUIFPStartSlideAction,"\xeb83"},
{IconTypes.NUIFPStartSlideHand,"\xeb82"},
{IconTypes.NUIIris,"\xeb67"},
{IconTypes.OEM,"\xe74c"},
{IconTypes.OneBar,"\xe905"},
{IconTypes.OneHandedLeft20,"\xf73f"},
{IconTypes.OneHandedRight20,"\xf73e"},
{IconTypes.OpenFile,"\xe8e5"},
{IconTypes.OpenFolderHorizontal,"\xed25"},
{IconTypes.OpenInNewWindow,"\xe8a7"},
{IconTypes.OpenLocal,"\xe8da"},
{IconTypes.OpenPane,"\xe8a0"},
{IconTypes.OpenPaneMirrored,"\xea5b"},
{IconTypes.OpenWith,"\xe7ac"},
{IconTypes.OpenWithMirrored,"\xea5c"},
{IconTypes.Orientation,"\xe8b4"},
{IconTypes.OtherUser,"\xe7ee"},
{IconTypes.OutlineHalfStarLeft,"\xf0e7"},
{IconTypes.OutlineHalfStarRight,"\xf0e8"},
{IconTypes.OutlineQuarterStarLeft,"\xf0e5"},
{IconTypes.OutlineQuarterStarRight,"\xf0e6"},
{IconTypes.OutlineStarLeftHalf,"\xf0f7"},
{IconTypes.OutlineStarRightHalf,"\xf0f8"},
{IconTypes.OutlineThreeQuarterStarLeft,"\xf0e9"},
{IconTypes.OutlineThreeQuarterStarRight,"\xf0ea"},
{IconTypes.OverwriteWords,"\xf7b5"},
{IconTypes.OverwriteWordsFill,"\xf7b6"},
{IconTypes.OverwriteWordsFillKorean,"\xf7ba"},
{IconTypes.OverwriteWordsKorean,"\xf7b9"},
{IconTypes.Package,"\xe7b8"},
{IconTypes.Page,"\xe7c3"},
{IconTypes.PageLeft,"\xe760"},
{IconTypes.PageMarginLandscapeModerate,"\xf579"},
{IconTypes.PageMarginLandscapeNarrow,"\xf577"},
{IconTypes.PageMarginLandscapeNormal,"\xf578"},
{IconTypes.PageMarginLandscapeWide,"\xf57a"},
{IconTypes.PageMarginPortraitModerate,"\xf575"},
{IconTypes.PageMarginPortraitNarrow,"\xf573"},
{IconTypes.PageMarginPortraitNormal,"\xf574"},
{IconTypes.PageMarginPortraitWide,"\xf576"},
{IconTypes.PageMirrored,"\xf56e"},
{IconTypes.PageRight,"\xe761"},
{IconTypes.PageSolid,"\xe729"},
{IconTypes.PaginationDotOutline10,"\xf126"},
{IconTypes.PaginationDotSolid10,"\xf127"},
{IconTypes.PanMode,"\xece9"},
{IconTypes.ParkingLocation,"\xe811"},
{IconTypes.ParkingLocationMirrored,"\xea5e"},
{IconTypes.ParkingLocationSolid,"\xea8b"},
{IconTypes.PartyLeader,"\xeca7"},
{IconTypes.PassiveAuthentication,"\xf32a"},
{IconTypes.PasswordKeyHide,"\xe9a9"},
{IconTypes.PasswordKeyShow,"\xe9a8"},
{IconTypes.Paste,"\xe77f"},
{IconTypes.Pause,"\xe769"},
{IconTypes.PauseBadge12,"\xedb4"},
{IconTypes.PauseBold,"\xf8ae"},
{IconTypes.PaymentCard,"\xe8c7"},
{IconTypes.PC1,"\xe977"},
{IconTypes.PDF,"\xea90"},
{IconTypes.Pencil,"\xed63"},
{IconTypes.PencilFill,"\xf0c6"},
{IconTypes.PenPalette,"\xee56"},
{IconTypes.PenPaletteMirrored,"\xef16"},
{IconTypes.PenTips,"\xf45e"},
{IconTypes.PenTipsMirrored,"\xf45f"},
{IconTypes.PenWorkspace,"\xedc6"},
{IconTypes.PenWorkspaceMirrored,"\xef15"},
{IconTypes.People,"\xe716"},
{IconTypes.PeriodKey,"\xe843"},
{IconTypes.Permissions,"\xe8d7"},
{IconTypes.PersonalFolder,"\xec25"},
{IconTypes.Personalize,"\xe771"},
{IconTypes.Phone,"\xe717"},
{IconTypes.PhoneBook,"\xe780"},
{IconTypes.Photo,"\xe91b"},
{IconTypes.Photo2,"\xeb9f"},
{IconTypes.Picture,"\xe8b9"},
{IconTypes.PieSingle,"\xeb05"},
{IconTypes.Pin,"\xe718"},
{IconTypes.PinFill,"\xe841"},
{IconTypes.Pinned,"\xe840"},
{IconTypes.PinnedFill,"\xe842"},
{IconTypes.PINPad,"\xef3e"},
{IconTypes.PinyinIMELogo,"\xede5"},
{IconTypes.PLAP,"\xec19"},
{IconTypes.Play,"\xe768"},
{IconTypes.Play36,"\xee4a"},
{IconTypes.PlaybackRate1x,"\xec57"},
{IconTypes.PlaybackRateOther,"\xec58"},
{IconTypes.PlayBadge12,"\xedb5"},
{IconTypes.PlayerSettings,"\xef58"},
{IconTypes.PlaySolid,"\xf5b0"},
{IconTypes.POI,"\xecaf"},
{IconTypes.PointErase,"\xed61"},
{IconTypes.PointEraseMirrored,"\xef18"},
{IconTypes.PointerHand,"\xf271"},
{IconTypes.PoliceCar,"\xec81"},
{IconTypes.PostUpdate,"\xe8f3"},
{IconTypes.PowerButton,"\xe7e8"},
{IconTypes.PowerButtonUpdate,"\xf83d"},
{IconTypes.PPSFourLandscape,"\xf58d"},
{IconTypes.PPSFourPortrait,"\xf58e"},
{IconTypes.PPSOneLandscape,"\xf58a"},
{IconTypes.PPSOnePortrait,"\xf5ad"},
{IconTypes.PPSTwoLandscape,"\xf58b"},
{IconTypes.PPSTwoPortrait,"\xf58c"},
{IconTypes.PresenceChicklet,"\xe978"},
{IconTypes.PresenceChickletVideo,"\xe979"},
{IconTypes.Preview,"\xe8ff"},
{IconTypes.PreviewLink,"\xe8a1"},
{IconTypes.Previous,"\xe892"},
{IconTypes.Print,"\xe749"},
{IconTypes.PrintAllPages,"\xf571"},
{IconTypes.PrintCustomRange,"\xf572"},
{IconTypes.PrintDefault,"\xf56d"},
{IconTypes.Printer3D,"\xe914"},
{IconTypes.PrintfaxPrinterFile,"\xe956"},
{IconTypes.Priority,"\xe8d0"},
{IconTypes.PrivateCall,"\xea3d"},
{IconTypes.Process,"\xe9f3"},
{IconTypes.Processing,"\xe9f5"},
{IconTypes.ProductivityMode,"\xf71e"},
{IconTypes.ProgressRingDots,"\xf16a"},
{IconTypes.Project,"\xebc6"},
{IconTypes.Projector,"\xe95d"},
{IconTypes.ProtectedDocument,"\xe8a6"},
{IconTypes.Protractor,"\xf0b4"},
{IconTypes.ProvisioningPackage,"\xe835"},
{IconTypes.PuncKey,"\xe844"},
{IconTypes.PuncKey0,"\xe84c"},
{IconTypes.PuncKey1,"\xe9b4"},
{IconTypes.PuncKey2,"\xe9b5"},
{IconTypes.PuncKey3,"\xe9b6"},
{IconTypes.PuncKey4,"\xe9b7"},
{IconTypes.PuncKey5,"\xe9b8"},
{IconTypes.PuncKey6,"\xe9b9"},
{IconTypes.PuncKey7,"\xe9bb"},
{IconTypes.PuncKey8,"\xe9bc"},
{IconTypes.PuncKey9,"\xe9ba"},
{IconTypes.PuncKeyLeftBottom,"\xe84d"},
{IconTypes.PuncKeyRightBottom,"\xe9b3"},
{IconTypes.Puzzle,"\xea86"},
{IconTypes.QRCode,"\xed14"},
{IconTypes.QuarentinedItems,"\xf0b2"},
{IconTypes.QuarentinedItemsMirrored,"\xf0b3"},
{IconTypes.QuarterStarLeft,"\xf0ca"},
{IconTypes.QuarterStarRight,"\xf0cb"},
{IconTypes.QuickNote,"\xe70b"},
{IconTypes.QuietHours,"\xe708"},
{IconTypes.QuietHoursBadge12,"\xf0ce"},
{IconTypes.QWERTYOff,"\xe983"},
{IconTypes.QWERTYOn,"\xe982"},
{IconTypes.Radar,"\xeb44"},
{IconTypes.RadioBtnOff,"\xecca"},
{IconTypes.RadioBtnOn,"\xeccb"},
{IconTypes.RadioBullet,"\xe915"},
{IconTypes.RadioBullet2,"\xeccc"},
{IconTypes.Read,"\xe8c3"},
{IconTypes.ReadingList,"\xe7bc"},
{IconTypes.ReadingMode,"\xe736"},
{IconTypes.ReceiptPrinter,"\xec5b"},
{IconTypes.Recent,"\xe823"},
{IconTypes.Record,"\xe7c8"},
{IconTypes.Record2,"\xea3f"},
{IconTypes.RectangularClipping,"\xf407"},
{IconTypes.RedEye,"\xe7b3"},
{IconTypes.Redo,"\xe7a6"},
{IconTypes.Refresh,"\xe72c"},
{IconTypes.Relationship,"\xf003"},
{IconTypes.RememberedDevice,"\xe70c"},
{IconTypes.Reminder,"\xeb50"},
{IconTypes.ReminderFill,"\xeb4f"},
{IconTypes.Remote,"\xe8af"},
{IconTypes.Remove,"\xe738"},
{IconTypes.RemoveFrom,"\xecc9"},
{IconTypes.Rename,"\xe8ac"},
{IconTypes.Repair,"\xe90f"},
{IconTypes.RepeatAll,"\xe8ee"},
{IconTypes.RepeatOff,"\xf5e7"},
{IconTypes.RepeatOne,"\xe8ed"},
{IconTypes.Replay,"\xef3b"},
{IconTypes.Reply,"\xe97a"},
{IconTypes.ReplyMirrored,"\xee35"},
{IconTypes.ReportDocument,"\xe9f9"},
{IconTypes.ReportHacked,"\xe730"},
{IconTypes.ResetDevice,"\xed10"},
{IconTypes.ResetDrive,"\xebc4"},
{IconTypes.Reshare,"\xe8eb"},
{IconTypes.ResizeMouseLarge,"\xe747"},
{IconTypes.ResizeMouseMedium,"\xe744"},
{IconTypes.ResizeMouseMediumMirrored,"\xea5f"},
{IconTypes.ResizeMouseSmall,"\xe743"},
{IconTypes.ResizeMouseSmallMirrored,"\xea60"},
{IconTypes.ResizeMouseTall,"\xe746"},
{IconTypes.ResizeMouseTallMirrored,"\xea61"},
{IconTypes.ResizeMouseWide,"\xe745"},
{IconTypes.ResizeTouchLarger,"\xe741"},
{IconTypes.ResizeTouchNarrower,"\xe7ea"},
{IconTypes.ResizeTouchNarrowerMirrored,"\xea62"},
{IconTypes.ResizeTouchShorter,"\xe7eb"},
{IconTypes.ResizeTouchSmaller,"\xe742"},
{IconTypes.RestartUpdate,"\xf83e"},
{IconTypes.ReturnKey,"\xe751"},
{IconTypes.ReturnKeyLg,"\xeb97"},
{IconTypes.ReturnKeySm,"\xe966"},
{IconTypes.ReturnToCall,"\xf71a"},
{IconTypes.ReturnToWindow,"\xe944"},
{IconTypes.RevealPasswordMedium,"\xf78d"},
{IconTypes.RevToggleKey,"\xe845"},
{IconTypes.Rewind,"\xeb9e"},
{IconTypes.RightArrowKeyTime0,"\xebe7"},
{IconTypes.RightArrowKeyTime1,"\xe846"},
{IconTypes.RightArrowKeyTime2,"\xe847"},
{IconTypes.RightArrowKeyTime3,"\xe84e"},
{IconTypes.RightArrowKeyTime4,"\xe84f"},
{IconTypes.RightDoubleQuote,"\xe9b1"},
{IconTypes.RightQuote,"\xe849"},
{IconTypes.RightStick,"\xf109"},
{IconTypes.Ringer,"\xea8f"},
{IconTypes.RingerBadge12,"\xedac"},
{IconTypes.RingerSilent,"\xe7ed"},
{IconTypes.RoamingDomestic,"\xe879"},
{IconTypes.RoamingInternational,"\xe878"},
{IconTypes.Robot,"\xe99a"},
{IconTypes.Rotate,"\xe7ad"},
{IconTypes.RotateCamera,"\xe89e"},
{IconTypes.RotateMapLeft,"\xe80d"},
{IconTypes.RotateMapRight,"\xe80c"},
{IconTypes.RotationLock,"\xe755"},
{IconTypes.RTTLogo,"\xf714"},
{IconTypes.Ruler,"\xed5e"},
{IconTypes.Safe,"\xf540"},
{IconTypes.Save,"\xe74e"},
{IconTypes.SaveAs,"\xe792"},
{IconTypes.SaveCopy,"\xea35"},
{IconTypes.SaveLocal,"\xe78c"},
{IconTypes.Scan,"\xe8fe"},
{IconTypes.ScreenTime,"\xf182"},
{IconTypes.ScrollMode,"\xece7"},
{IconTypes.ScrollUpDown,"\xec8f"},
{IconTypes.SDCard,"\xe7f1"},
{IconTypes.Search,"\xe721"},
{IconTypes.SearchAndApps,"\xe773"},
{IconTypes.SearchMedium,"\xf78b"},
{IconTypes.SelectAll,"\xe8b3"},
{IconTypes.Send,"\xe724"},
{IconTypes.SendFill,"\xe725"},
{IconTypes.SendFillMirrored,"\xea64"},
{IconTypes.SendMirrored,"\xea63"},
{IconTypes.Sensor,"\xe957"},
{IconTypes.Set,"\xf5ed"},
{IconTypes.SetHistoryStatus,"\xf738"},
{IconTypes.SetHistoryStatus2,"\xf739"},
{IconTypes.SetlockScreen,"\xe7b5"},
{IconTypes.SetSolid,"\xf5ee"},
{IconTypes.SetTile,"\xe97b"},
{IconTypes.Settings,"\xe713"},
{IconTypes.SettingsBattery,"\xee63"},
{IconTypes.SettingsDisplaySound,"\xe7f3"},
{IconTypes.SettingsSolid,"\xf8b0"},
{IconTypes.Share,"\xe72d"},
{IconTypes.ShareBroadband,"\xe83a"},
{IconTypes.Shield,"\xea18"},
{IconTypes.Shop,"\xe719"},
{IconTypes.ShoppingCart,"\xe7bf"},
{IconTypes.ShowBcc,"\xe8c4"},
{IconTypes.ShowResults,"\xe8bc"},
{IconTypes.ShowResultsMirrored,"\xea65"},
{IconTypes.Shuffle,"\xe8b1"},
{IconTypes.SignalBars1,"\xe86c"},
{IconTypes.SignalBars2,"\xe86d"},
{IconTypes.SignalBars3,"\xe86e"},
{IconTypes.SignalBars4,"\xe86f"},
{IconTypes.SignalBars5,"\xe870"},
{IconTypes.SignalError,"\xed2e"},
{IconTypes.SignalNotConnected,"\xe871"},
{IconTypes.SignalRoaming,"\xec1e"},
{IconTypes.SignatureCapture,"\xef3f"},
{IconTypes.SignOut,"\xf3b1"},
{IconTypes.SIMError,"\xf618"},
{IconTypes.SIMLock,"\xf61a"},
{IconTypes.SIMMissing,"\xf619"},
{IconTypes.SIPMove,"\xe759"},
{IconTypes.SIPRedock,"\xe75b"},
{IconTypes.SIPUndock,"\xe75a"},
{IconTypes.SkipBack10,"\xed3c"},
{IconTypes.SkipForward30,"\xed3d"},
{IconTypes.SliderThumb,"\xec13"},
{IconTypes.Slideshow,"\xe786"},
{IconTypes.SlowMotionOn,"\xea79"},
{IconTypes.SmallErase,"\xf129"},
{IconTypes.Smartcard,"\xe963"},
{IconTypes.SmartcardVirtual,"\xe964"},
{IconTypes.SmartScreen,"\xf8a5"},
{IconTypes.Sort,"\xe8cb"},
{IconTypes.SpatialVolume0,"\xf0eb"},
{IconTypes.SpatialVolume1,"\xf0ec"},
{IconTypes.SpatialVolume2,"\xf0ed"},
{IconTypes.SpatialVolume3,"\xf0ee"},
{IconTypes.Speakers,"\xe7f5"},
{IconTypes.SpecialEffectSize,"\xf4a5"},
{IconTypes.Speech,"\xefa9"},
{IconTypes.SpeechSolidBold,"\xf8b2"},
{IconTypes.SpeedHigh,"\xec4a"},
{IconTypes.SpeedMedium,"\xec49"},
{IconTypes.SpeedOff,"\xec48"},
{IconTypes.Spelling,"\xf87b"},
{IconTypes.SpellingChinese,"\xf87e"},
{IconTypes.SpellingKorean,"\xf87c"},
{IconTypes.SpellingSerbian,"\xf87d"},
{IconTypes.Split20,"\xf740"},
{IconTypes.StaplingLandscapeBookBinding,"\xf5a9"},
{IconTypes.StaplingLandscapeBottomLeft,"\xf5a3"},
{IconTypes.StaplingLandscapeBottomRight,"\xf5a4"},
{IconTypes.StaplingLandscapeTopLeft,"\xf5a1"},
{IconTypes.StaplingLandscapeTopRight,"\xf5a2"},
{IconTypes.StaplingLandscapeTwoBottom,"\xf5a8"},
{IconTypes.StaplingLandscapeTwoLeft,"\xf5a5"},
{IconTypes.StaplingLandscapeTwoRight,"\xf5a6"},
{IconTypes.StaplingLandscapeTwoTop,"\xf5a7"},
{IconTypes.StaplingOff,"\xf598"},
{IconTypes.StaplingPortraitBookBinding,"\xf5a0"},
{IconTypes.StaplingPortraitBottomLeft,"\xf5ae"},
{IconTypes.StaplingPortraitBottomRight,"\xf59b"},
{IconTypes.StaplingPortraitTopLeft,"\xf599"},
{IconTypes.StaplingPortraitTopRight,"\xf59a"},
{IconTypes.StaplingPortraitTwoBottom,"\xf59f"},
{IconTypes.StaplingPortraitTwoLeft,"\xf59c"},
{IconTypes.StaplingPortraitTwoRight,"\xf59d"},
{IconTypes.StaplingPortraitTwoTop,"\xf59e"},
{IconTypes.StartPoint,"\xe819"},
{IconTypes.StartPointSolid,"\xeb49"},
{IconTypes.StartPresenting,"\xf71c"},
{IconTypes.StatusCheckmark,"\xf1d8"},
{IconTypes.StatusCheckmark7,"\xf0b7"},
{IconTypes.StatusCheckmarkLeft,"\xf1d9"},
{IconTypes.StatusCircle,"\xea81"},
{IconTypes.StatusCircle7,"\xf0b6"},
{IconTypes.StatusCircleBlock,"\xf140"},
{IconTypes.StatusCircleBlock2,"\xf141"},
{IconTypes.StatusCircleCheckmark,"\xf13e"},
{IconTypes.StatusCircleErrorX,"\xf13d"},
{IconTypes.StatusCircleExclamation,"\xf13c"},
{IconTypes.StatusCircleInfo,"\xf13f"},
{IconTypes.StatusCircleInner,"\xf137"},
{IconTypes.StatusCircleLeft,"\xebfd"},
{IconTypes.StatusCircleOuter,"\xf136"},
{IconTypes.StatusCircleQuestionMark,"\xf142"},
{IconTypes.StatusCircleRing,"\xf138"},
{IconTypes.StatusCircleSync,"\xf143"},
{IconTypes.StatusConnecting1,"\xeb57"},
{IconTypes.StatusConnecting2,"\xeb58"},
{IconTypes.StatusDataTransfer,"\xe880"},
{IconTypes.StatusDataTransferRoaming,"\xf5aa"},
{IconTypes.StatusDataTransferVPN,"\xe881"},
{IconTypes.StatusDualSIM1,"\xe884"},
{IconTypes.StatusDualSIM1VPN,"\xe885"},
{IconTypes.StatusDualSIM2,"\xe882"},
{IconTypes.StatusDualSIM2VPN,"\xe883"},
{IconTypes.StatusError,"\xea83"},
{IconTypes.StatusErrorCircle7,"\xf0b8"},
{IconTypes.StatusErrorFull,"\xeb90"},
{IconTypes.StatusErrorLeft,"\xebff"},
{IconTypes.StatusExclamationCircle7,"\xf12f"},
{IconTypes.StatusInfo,"\xf3cc"},
{IconTypes.StatusInfoLeft,"\xf3cd"},
{IconTypes.StatusPause7,"\xf175"},
{IconTypes.StatusSecured,"\xf809"},
{IconTypes.StatusSGLTE,"\xe886"},
{IconTypes.StatusSGLTECell,"\xe887"},
{IconTypes.StatusSGLTEDataVPN,"\xe888"},
{IconTypes.StatusTriangle,"\xea82"},
{IconTypes.StatusTriangleExclamation,"\xf13b"},
{IconTypes.StatusTriangleInner,"\xf13a"},
{IconTypes.StatusTriangleLeft,"\xebfe"},
{IconTypes.StatusTriangleOuter,"\xf139"},
{IconTypes.StatusUnsecure,"\xeb59"},
{IconTypes.StatusVPN,"\xe889"},
{IconTypes.StatusWarning,"\xea84"},
{IconTypes.StatusWarningLeft,"\xec00"},
{IconTypes.Sticker2,"\xf4aa"},
{IconTypes.StockDown,"\xeb11"},
{IconTypes.StockUp,"\xeb0f"},
{IconTypes.Stop,"\xe71a"},
{IconTypes.StopPoint,"\xe81a"},
{IconTypes.StopPointSolid,"\xeb4a"},
{IconTypes.StopPresenting,"\xf71d"},
{IconTypes.Stopwatch,"\xe916"},
{IconTypes.StorageNetworkWireless,"\xe969"},
{IconTypes.StorageOptical,"\xe958"},
{IconTypes.StorageTape,"\xe96a"},
{IconTypes.Streaming,"\xe93e"},
{IconTypes.StreamingEnterprise,"\xed2f"},
{IconTypes.Street,"\xe913"},
{IconTypes.StreetsideSplitExpand,"\xe803"},
{IconTypes.StreetsideSplitMinimize,"\xe802"},
{IconTypes.Strikethrough,"\xede0"},
{IconTypes.StrokeErase,"\xed60"},
{IconTypes.StrokeErase2,"\xf128"},
{IconTypes.StrokeEraseMirrored,"\xef17"},
{IconTypes.SubscriptionAdd,"\xed0e"},
{IconTypes.SubscriptionAddMirrored,"\xed11"},
{IconTypes.Subtitles,"\xed1e"},
{IconTypes.SubtitlesAudio,"\xed1f"},
{IconTypes.SubtractBold,"\xf8ab"},
{IconTypes.SurfaceHub,"\xe8ae"},
{IconTypes.SurfaceHubSelected,"\xf4be"},
{IconTypes.Sustainable,"\xec0a"},
{IconTypes.Swipe,"\xe927"},
{IconTypes.SwipeRevealArt,"\xec6d"},
{IconTypes.Switch,"\xe8ab"},
{IconTypes.SwitchApps,"\xe8f9"},
{IconTypes.SwitchUser,"\xe748"},
{IconTypes.Sync,"\xe895"},
{IconTypes.SyncBadge12,"\xedab"},
{IconTypes.SyncError,"\xea6a"},
{IconTypes.SyncFolder,"\xe8f7"},
{IconTypes.System,"\xe770"},
{IconTypes.Tablet,"\xe70a"},
{IconTypes.TabletMode,"\xebfc"},
{IconTypes.TabletSelected,"\xec74"},
{IconTypes.Tag,"\xe8ec"},
{IconTypes.TapAndSend,"\xe9a1"},
{IconTypes.TaskbarPhone,"\xee64"},
{IconTypes.TaskView,"\xe7c4"},
{IconTypes.TaskViewExpanded,"\xeb91"},
{IconTypes.TaskViewSettings,"\xee40"},
{IconTypes.ThisPC,"\xec4e"},
{IconTypes.ThoughtBubble,"\xea91"},
{IconTypes.ThreeBars,"\xe907"},
{IconTypes.ThreeQuarterStarLeft,"\xf0cc"},
{IconTypes.ThreeQuarterStarRight,"\xf0cd"},
{IconTypes.Tiles,"\xeca5"},
{IconTypes.TiltDown,"\xe80a"},
{IconTypes.TiltUp,"\xe809"},
{IconTypes.TimeLanguage,"\xe775"},
{IconTypes.ToggleBorder,"\xec12"},
{IconTypes.ToggleFilled,"\xec11"},
{IconTypes.ToggleLeft,"\xf19e"},
{IconTypes.ToggleRight,"\xf19f"},
{IconTypes.ToggleThumb,"\xec14"},
{IconTypes.TollSolid,"\xf161"},
{IconTypes.ToolTip,"\xe82f"},
{IconTypes.Touch,"\xe815"},
{IconTypes.Touchpad,"\xefa5"},
{IconTypes.TouchPointer,"\xe7c9"},
{IconTypes.Touchscreen,"\xeda4"},
{IconTypes.Trackers,"\xeadf"},
{IconTypes.TrackersMirrored,"\xee92"},
{IconTypes.TrafficCongestionSolid,"\xf163"},
{IconTypes.TrafficLight,"\xef31"},
{IconTypes.Train,"\xe7c0"},
{IconTypes.TrainSolid,"\xeb4d"},
{IconTypes.TreeFolderFolder,"\xed41"},
{IconTypes.TreeFolderFolderFill,"\xed42"},
{IconTypes.TreeFolderFolderOpen,"\xed43"},
{IconTypes.TreeFolderFolderOpenFill,"\xed44"},
{IconTypes.TriggerLeft,"\xf10a"},
{IconTypes.TriggerRight,"\xf10b"},
{IconTypes.Trim,"\xe78a"},
{IconTypes.TVMonitor,"\xe7f4"},
{IconTypes.TVMonitorSelected,"\xec77"},
{IconTypes.TwoBars,"\xe906"},
{IconTypes.TwoPage,"\xe89a"},
{IconTypes.Type,"\xe97c"},
{IconTypes.Underline,"\xe8dc"},
{IconTypes.UnderscoreSpace,"\xe75d"},
{IconTypes.Undo,"\xe7a7"},
{IconTypes.Unfavorite,"\xe8d9"},
{IconTypes.Unit,"\xecc6"},
{IconTypes.Unknown,"\xe9ce"},
{IconTypes.UnknownMirrored,"\xf22e"},
{IconTypes.Unlock,"\xe785"},
{IconTypes.Unpin,"\xe77a"},
{IconTypes.UnsyncFolder,"\xe8f6"},
{IconTypes.Up,"\xe74a"},
{IconTypes.UpArrowShiftKey,"\xe752"},
{IconTypes.UpdateRestore,"\xe777"},
{IconTypes.UpdateStatusDot,"\xf83f"},
{IconTypes.Upload,"\xe898"},
{IconTypes.UpShiftKey,"\xe84b"},
{IconTypes.USB,"\xe88e"},
{IconTypes.USBSafeConnect,"\xecf3"},
{IconTypes.UserAPN,"\xf081"},
{IconTypes.VerticalBattery0,"\xf5f2"},
{IconTypes.VerticalBattery1,"\xf5f3"},
{IconTypes.VerticalBattery10,"\xf5fc"},
{IconTypes.VerticalBattery2,"\xf5f4"},
{IconTypes.VerticalBattery3,"\xf5f5"},
{IconTypes.VerticalBattery4,"\xf5f6"},
{IconTypes.VerticalBattery5,"\xf5f7"},
{IconTypes.VerticalBattery6,"\xf5f8"},
{IconTypes.VerticalBattery7,"\xf5f9"},
{IconTypes.VerticalBattery8,"\xf5fa"},
{IconTypes.VerticalBattery9,"\xf5fb"},
{IconTypes.VerticalBatteryCharging0,"\xf5fd"},
{IconTypes.VerticalBatteryCharging1,"\xf5fe"},
{IconTypes.VerticalBatteryCharging10,"\xf607"},
{IconTypes.VerticalBatteryCharging2,"\xf5ff"},
{IconTypes.VerticalBatteryCharging3,"\xf600"},
{IconTypes.VerticalBatteryCharging4,"\xf601"},
{IconTypes.VerticalBatteryCharging5,"\xf602"},
{IconTypes.VerticalBatteryCharging6,"\xf603"},
{IconTypes.VerticalBatteryCharging7,"\xf604"},
{IconTypes.VerticalBatteryCharging8,"\xf605"},
{IconTypes.VerticalBatteryCharging9,"\xf606"},
{IconTypes.VerticalBatteryUnknown,"\xf608"},
{IconTypes.Vibrate,"\xe877"},
{IconTypes.Video,"\xe714"},
{IconTypes.Video360,"\xf131"},
{IconTypes.VideoCapture,"\xf7ee"},
{IconTypes.VideoChat,"\xe8aa"},
{IconTypes.VideoSolid,"\xea0c"},
{IconTypes.View,"\xe890"},
{IconTypes.ViewAll,"\xe8a9"},
{IconTypes.ViewDashboard,"\xf246"},
{IconTypes.VirtualMachineGroup,"\xeea3"},
{IconTypes.VoiceCall,"\xf715"},
{IconTypes.Volume,"\xe767"},
{IconTypes.Volume0,"\xe992"},
{IconTypes.Volume1,"\xe993"},
{IconTypes.Volume2,"\xe994"},
{IconTypes.Volume3,"\xe995"},
{IconTypes.VolumeBars,"\xebc5"},
{IconTypes.VPN,"\xe705"},
{IconTypes.Walk,"\xe805"},
{IconTypes.WalkSolid,"\xe726"},
{IconTypes.Warning,"\xe7ba"},
{IconTypes.Webcam,"\xe8b8"},
{IconTypes.Webcam2,"\xe960"},
{IconTypes.WebSearch,"\xf6fa"},
{IconTypes.Website,"\xeb41"},
{IconTypes.Wheel,"\xee94"},
{IconTypes.Wifi,"\xe701"},
{IconTypes.Wifi1,"\xe872"},
{IconTypes.Wifi2,"\xe873"},
{IconTypes.Wifi3,"\xe874"},
{IconTypes.WifiAttentionOverlay,"\xe998"},
{IconTypes.WifiCall0,"\xf658"},
{IconTypes.WifiCall1,"\xf659"},
{IconTypes.WifiCall2,"\xf65a"},
{IconTypes.WifiCall3,"\xf65b"},
{IconTypes.WifiCall4,"\xf65c"},
{IconTypes.WifiCallBars,"\xf657"},
{IconTypes.WifiError0,"\xeb5a"},
{IconTypes.WifiError1,"\xeb5b"},
{IconTypes.WifiError2,"\xeb5c"},
{IconTypes.WifiError3,"\xeb5d"},
{IconTypes.WifiError4,"\xeb5e"},
{IconTypes.WifiEthernet,"\xee77"},
{IconTypes.WifiHotspot,"\xe88a"},
{IconTypes.WifiWarning0,"\xeb5f"},
{IconTypes.WifiWarning1,"\xeb60"},
{IconTypes.WifiWarning2,"\xeb61"},
{IconTypes.WifiWarning3,"\xeb62"},
{IconTypes.WifiWarning4,"\xeb63"},
{IconTypes.WindDirection,"\xebe6"},
{IconTypes.WindowsInsider,"\xf1ad"},
{IconTypes.WindowSnipping,"\xf7ed"},
{IconTypes.Wire,"\xe95f"},
{IconTypes.WiredUSB,"\xecf0"},
{IconTypes.WirelessUSB,"\xecf1"},
{IconTypes.Work,"\xe821"},
{IconTypes.WorkSolid,"\xeb4e"},
{IconTypes.World,"\xe909"},
{IconTypes.XboxOneConsole,"\xe990"},
{IconTypes.ZeroBars,"\xe904"},
{IconTypes.ZipFolder,"\xf012"},
{IconTypes.Zoom,"\xe71e"},
{IconTypes.ZoomIn,"\xe8a3"},
{IconTypes.ZoomMode,"\xece8"},
{IconTypes.ZoomOut,"\xe71f"},


        };
        public static string ToUnicode(IconTypes iconType)
        {
            return iconUnicodes[iconType];
        }
        public static IconTypes ToType(string unicode)
        {
            var type = iconUnicodes.Where(m => m.Value == unicode).Select(s => s.Key).FirstOrDefault();
            return type;
        }
    }
}
