﻿using System;
using System.Collections.Generic;
using System.Text;

namespace UI.Controls.Base
{
    /// <summary>
    /// 图标类型
    /// </summary>
    public enum IconTypes
    {
        None,
        Accept,
        AcceptMedium,
        Accident,
        AccidentSolid,
        Accounts,
        ActionCenter,
        ActionCenterAsterisk,
        ActionCenterMirrored,
        ActionCenterNotification,
        ActionCenterNotificationMirrored,
        ActionCenterQuiet,
        ActionCenterQuietNotification,
        Add,
        AddBold,
        AddFriend,
        AddNewLine,
        AddNewLineFill,
        AddRemoteDevice,
        AddSurfaceHub,
        AddTo,
        AdjustHologram,
        Admin,
        Airplane,
        AirplaneSolid,
        AlignCenter,
        AlignLeft,
        AlignRight,
        AllApps,
        AllAppsMirrored,
        Annotation,
        AppIconDefault,
        ApplicationGuard,
        Apps,
        AreaChart,
        ArrowDown8,
        ArrowLeft8,
        ArrowRight8,
        ArrowUp8,
        AspectRatio,
        Asterisk,
        AsteriskBadge12,
        Attach,
        AttachCamera,
        Audio,
        Back,
        BackgroundToggle,
        BackMirrored,
        BackSolidBold,
        BackSpaceQWERTY,
        BackSpaceQWERTYLg,
        BackSpaceQWERTYMd,
        BackSpaceQWERTYSm,
        BackToWindow,
        Badge,
        BandBattery0,
        BandBattery1,
        BandBattery2,
        BandBattery3,
        BandBattery4,
        BandBattery5,
        BandBattery6,
        Bank,
        BarcodeScanner,
        Battery0,
        Battery1,
        Battery10,
        Battery2,
        Battery3,
        Battery4,
        Battery5,
        Battery6,
        Battery7,
        Battery8,
        Battery9,
        BatteryCharging0,
        BatteryCharging1,
        BatteryCharging10,
        BatteryCharging2,
        BatteryCharging3,
        BatteryCharging4,
        BatteryCharging5,
        BatteryCharging6,
        BatteryCharging7,
        BatteryCharging8,
        BatteryCharging9,
        BatterySaver0,
        BatterySaver1,
        BatterySaver10,
        BatterySaver2,
        BatterySaver3,
        BatterySaver4,
        BatterySaver5,
        BatterySaver6,
        BatterySaver7,
        BatterySaver8,
        BatterySaver9,
        BatteryUnknown,
        Beta,
        BidiLtr,
        BidiRtl,
        BlockContact,
        Blocked2,
        BlueLight,
        Bluetooth,
        BodyCam,
        Bold,
        Bookmarks,
        BookmarksMirrored,
        Brightness,
        Broom,
        BrowsePhotos,
        BrushSize,
        Bug,
        BuildingEnergy,
        BulletedList,
        BulletedListMirrored,
        Bullseye,
        BumperLeft,
        BumperRight,
        Bus,
        BusSolid,
        ButtonA,
        ButtonB,
        ButtonMenu,
        ButtonView2,
        ButtonX,
        ButtonY,
        Cafe,
        Calculator,
        CalculatorAddition,
        CalculatorBackspace,
        CalculatorDivide,
        CalculatorEqualTo,
        CalculatorMultiply,
        CalculatorNegate,
        CalculatorPercentage,
        CalculatorSquareroot,
        CalculatorSubtract,
        Calendar,
        CalendarDay,
        CalendarMirrored,
        CalendarReply,
        CalendarSolid,
        CalendarWeek,
        CallControl,
        CallForwarding,
        CallForwardingMirrored,
        CallForwardInternational,
        CallForwardInternationalMirrored,
        CallForwardRoaming,
        CallForwardRoamingMirrored,
        CalligraphyFill,
        CalligraphyPen,
        Calories,
        Camera,
        Cancel,
        CancelMedium,
        Caption,
        Car,
        CaretBottomRightSolidCenter8,
        CaretDown8,
        CaretDownSolid8,
        CaretLeft8,
        CaretLeftSolid8,
        CaretRight8,
        CaretRightSolid8,
        CaretSolidDown,
        CaretSolidLeft,
        CaretSolidRight,
        CaretSolidUp,
        CaretUp8,
        CaretUpSolid8,
        CashDrawer,
        CC,
        CellPhone,
        Certificate,
        CharacterAppearance,
        Characters,
        ChatBubbles,
        Checkbox,
        Checkbox14,
        CheckboxComposite,
        CheckboxComposite14,
        CheckboxCompositeReversed,
        CheckboxFill,
        CheckboxIndeterminate,
        CheckboxIndeterminateCombo,
        CheckboxIndeterminateCombo14,
        CheckList,
        ChecklistMirrored,
        CheckMark,
        ChevronDown,
        ChevronDownMed,
        ChevronDownSmall,
        ChevronLeft,
        ChevronLeft20,
        ChevronLeft32,
        ChevronLeftMed,
        ChevronLeftSmall,
        ChevronRight,
        ChevronRight20,
        ChevronRight32,
        ChevronRightMed,
        ChevronRightSmall,
        ChevronUp,
        ChevronUpMed,
        ChevronUpSmall,
        ChineseBoPoMoFo,
        ChineseChangjie,
        ChinesePinyin,
        ChinesePunctuation,
        ChineseQuick,
        ChipCardCreditCardReader,
        ChromeAnnotate,
        ChromeAnnotateContrast,
        ChromeBack,
        ChromeBackContrast,
        ChromeBackContrastMirrored,
        ChromeBackMirrored,
        ChromeBackToWindow,
        ChromeBackToWindowContrast,
        ChromeClose,
        ChromeCloseContrast,
        ChromeFullScreen,
        ChromeFullScreenContrast,
        ChromeMaximize,
        ChromeMaximizeContrast,
        ChromeMinimize,
        ChromeMinimizeContrast,
        ChromeRestore,
        ChromeRestoreContrast,
        ChromeSwitch,
        ChromeSwitchContast,
        CHTLanguageBar,
        CircleFill,
        CircleFillBadge12,
        CircleRing,
        CircleRingBadge12,
        CircleShapeSolid,
        CityNext,
        CityNext2,
        Clear,
        ClearAllInk,
        ClearAllInkMirrored,
        ClearSelection,
        ClearSelectionMirrored,
        Click,
        ClickedOutLoudSolidBold,
        ClickSolid,
        ClipboardList,
        ClipboardListMirrored,
        ClippingTool,
        ClosedCaptionsInternational,
        ClosePane,
        ClosePaneMirrored,
        Cloud,
        CloudDownload,
        CloudPrinter,
        CloudSearch,
        Code,
        CollapseContent,
        CollapseContentSingle,
        CollateLandscape,
        CollateLandscapeSeparated,
        CollatePortrait,
        CollatePortraitSeparated,
        Color,
        ColorOff,
        ColorSolid,
        CommaKey,
        CommandPrompt,
        Comment,
        Communications,
        CompanionApp,
        CompanionDeviceFramework,
        Completed,
        CompletedSolid,
        Component,
        ComposeMode,
        Connect,
        ConnectApp,
        Connected,
        Construction,
        ConstructionCone,
        ConstructionSolid,
        Contact,
        Contact2,
        ContactInfo,
        ContactInfoMirrored,
        ContactPresence,
        ContactSolid,
        Copy,
        CopyTo,
        Courthouse,
        Crop,
        CtrlSpatialLeft,
        CtrlSpatialRight,
        Cut,
        DashKey,
        DataSense,
        DataSenseBar,
        DateTime,
        DateTimeMirrored,
        DeclineCall,
        DefaultAPN,
        DefenderApp,
        DefenderBadge12,
        Delete,
        DeleteLines,
        DeleteLinesFill,
        DeleteWord,
        DeleteWordFill,
        DeliveryOptimization,
        Design,
        DetachablePC,
        DeveloperTools,
        DeviceDiscovery,
        DeviceLaptopNoPic,
        DeviceLaptopPic,
        DeviceMonitorLeftPic,
        DeviceMonitorNoPic,
        DeviceMonitorRightPic,
        Devices,
        Devices2,
        Devices3,
        Devices4,
        DevUpdate,
        Diagnostic,
        Dial1,
        Dial10,
        Dial11,
        Dial12,
        Dial13,
        Dial14,
        Dial15,
        Dial16,
        Dial2,
        Dial3,
        Dial4,
        Dial5,
        Dial6,
        Dial7,
        Dial8,
        Dial9,
        Dialpad,
        DialShape1,
        DialShape2,
        DialShape3,
        DialShape4,
        DialUp,
        Dictionary,
        DictionaryAdd,
        DictionaryCloud,
        DirectAccess,
        Directions,
        DisableUpdates,
        DisconnectDisplay,
        DisconnectDrive,
        Dislike,
        DMC,
        Dock,
        DockBottom,
        DockLeft,
        DockLeftMirrored,
        DockRight,
        DockRightMirrored,
        Document,
        DocumentApproval,
        DoublePinyin,
        Down,
        Download,
        DownloadMap,
        DownShiftKey,
        Dpad,
        Draw,
        DrawSolid,
        DrivingMode,
        Drop,
        DullSound,
        DullSoundKey,
        DuplexLandscapeOneSided,
        DuplexLandscapeOneSidedMirrored,
        DuplexLandscapeTwoSidedLongEdge,
        DuplexLandscapeTwoSidedLongEdgeMirrored,
        DuplexLandscapeTwoSidedShortEdge,
        DuplexLandscapeTwoSidedShortEdgeMirrored,
        DuplexPortraitOneSided,
        DuplexPortraitOneSidedMirrored,
        DuplexPortraitTwoSidedLongEdge,
        DuplexPortraitTwoSidedLongEdgeMirrored,
        DuplexPortraitTwoSidedShortEdge,
        DuplexPortraitTwoSidedShortEdgeMirrored,
        DynamicLock,
        Ear,
        Earbud,
        EaseOfAccess,
        Edit,
        EditMirrored,
        Education,
        EducationIcon,
        Eject,
        EMI,
        Emoji,
        Emoji2,
        EmojiSwatch,
        EmojiTabCelebrationObjects,
        EmojiTabFavorites,
        EmojiTabFoodPlants,
        EmojiTabMoreSymbols,
        EmojiTabPeople,
        EmojiTabSmilesAnimals,
        EmojiTabSymbols,
        EmojiTabTextSmiles,
        EmojiTabTransitPlaces,
        EndPoint,
        EndPointSolid,
        EnglishPunctuation,
        Equalizer,
        EraseTool,
        EraseToolFill,
        EraseToolFill2,
        Error,
        ErrorBadge,
        ErrorBadge12,
        eSIM,
        eSIMBusy,
        eSIMLocked,
        eSIMNoProfile,
        Ethernet,
        EthernetError,
        EthernetWarning,
        Event12,
        ExpandTile,
        ExpandTileMirrored,
        ExploitProtection,
        ExploitProtectionSettings,
        ExploreContent,
        ExploreContentSingle,
        Export,
        ExportMirrored,
        ExpressiveInputEntry,
        Eyedropper,
        EyeGaze,
        Family,
        FastForward,
        Favicon,
        Favicon2,
        FavoriteList,
        FavoriteStar,
        FavoriteStarFill,
        Feedback,
        FeedbackApp,
        Ferry,
        FerrySolid,
        FileExplorer,
        FileExplorerApp,
        Filter,
        FingerInking,
        Fingerprint,
        FitPage,
        Flag,
        Flashlight,
        FlickDown,
        FlickLeft,
        FlickRight,
        FlickUp,
        Flow,
        Folder,
        FolderFill,
        FolderHorizontal,
        FolderOpen,
        FolderSelect,
        Font,
        FontColor,
        FontDecrease,
        FontIncrease,
        FontSize,
        Forward,
        ForwardCall,
        ForwardMirrored,
        ForwardSm,
        ForwardSolidBold,
        FourBars,
        FreeFormClipping,
        Frigid,
        Full20,
        FullAlpha,
        FullCircleMask,
        FullHiragana,
        FullKatakana,
        FullScreen,
        FuzzyReading,
        Game,
        GameConsole,
        GatewayRouter,
        GenericScan,
        GIF,
        GiftboxOpen,
        GlobalNavButton,
        Globe,
        Globe2,
        Go,
        GoMirrored,
        GoToMessage,
        GoToStart,
        GotoToday,
        GridView,
        GripperBarHorizontal,
        GripperBarVertical,
        GripperResize,
        GripperResizeMirrored,
        GripperTool,
        Groceries,
        Group,
        GroupList,
        GuestUser,
        HalfAlpha,
        HalfDullSound,
        HalfKatakana,
        HalfStarLeft,
        HalfStarRight,
        Handwriting,
        Handwriting20,
        HangUp,
        HardDrive,
        HeadlessDevice,
        Headphone,
        Headphone0,
        Headphone1,
        Headphone2,
        Headphone3,
        Headset,
        Health,
        Heart,
        HeartBroken,
        HeartFill,
        Help,
        HelpMirrored,
        Hide,
        HideBcc,
        Highlight,
        HighlightFill,
        HighlightFill2,
        History,
        HMD,
        HolePunchLandscapeBottom,
        HolePunchLandscapeLeft,
        HolePunchLandscapeRight,
        HolePunchLandscapeTop,
        HolePunchOff,
        HolePunchPortraitBottom,
        HolePunchPortraitLeft,
        HolePunchPortraitRight,
        HolePunchPortraitTop,
        HoloLens,
        HoloLensSelected,
        Home,
        HomeGroup,
        HomeSolid,
        HorizontalTabKey,
        HWPInsert,
        HWPJoin,
        HWPNewLine,
        HWPOverwrite,
        HWPScratchOut,
        HWPSplit,
        HWPStrikeThrough,
        IBeam,
        IBeamOutline,
        IDBadge,
        ImageExport,
        Import,
        ImportAll,
        ImportAllMirrored,
        Important,
        ImportantBadge12,
        ImportMirrored,
        IncidentTriangle,
        IncomingCall,
        Info,
        Info2,
        InfoSolid,
        InkingCaret,
        InkingColorFill,
        InkingColorOutline,
        InkingTool,
        InkingToolFill,
        InkingToolFill2,
        InPrivate,
        Input,
        InsiderHubApp,
        InstertWords,
        InstertWordsFill,
        InteractiveDashboard,
        InternetSharing,
        IOT,
        Italic,
        Japanese,
        JoinWords,
        JoinWordsFill,
        JpnRomanji,
        JpnRomanjiLock,
        JpnRomanjiShift,
        JpnRomanjiShiftLock,
        Key12On,
        Keyboard12Key,
        KeyboardBrightness,
        KeyboardClassic,
        KeyboardDismiss,
        KeyboardDock,
        KeyboardFull,
        KeyboardLeftAligned,
        KeyboardLeftDock,
        KeyboardLeftHanded,
        KeyboardLowerBrightness,
        KeyboardNarrow,
        KeyboardOneHanded,
        KeyboardRightAligned,
        KeyboardRightDock,
        KeyboardRightHanded,
        KeyboardSettings,
        Keyboardsettings20,
        KeyboardShortcut,
        KeyboardSplit,
        KeyboardStandard,
        KeyboardUndock,
        Kiosk,
        KnowledgeArticle,
        Korean,
        Label,
        LandscapeOrientation,
        LandscapeOrientationMirrored,
        LangJPN,
        LanguageChs,
        LanguageCht,
        LanguageJpn,
        LanguageKor,
        LaptopSecure,
        LaptopSelected,
        LargeErase,
        Leaf,
        LeaveChat,
        LeaveChatMirrored,
        LEDLight,
        LeftArrowKeyTime0,
        LeftDoubleQuote,
        LeftQuote,
        LeftStick,
        Lexicon,
        Library,
        Light,
        Lightbulb,
        LightningBolt,
        Like,
        LikeDislike,
        LineDisplay,
        Link,
        List,
        ListMirrored,
        LocaleLanguage,
        Location,
        Lock,
        LockFeedback,
        LockscreenDesktop,
        LockScreenGlance,
        LowerBrightness,
        MagStripeReader,
        Mail,
        MailBadge12,
        MailFill,
        MailForward,
        MailForwardMirrored,
        MailReply,
        MailReplyAll,
        MailReplyAllMirrored,
        MailReplyMirrored,
        Manage,
        MapCompassBottom,
        MapCompassTop,
        MapDirections,
        MapDrive,
        MapLayers,
        MapPin,
        MapPin2,
        Marker,
        Market,
        MarketDown,
        Marquee,
        Media,
        MediaStorageTower,
        Megaphone,
        Memo,
        MergeCall,
        Message,
        MicClipping,
        MicError,
        MicLocationCombo,
        MicOff,
        MicOff2,
        MicOn,
        Microphone,
        MicrophoneListening,
        MicrophoneSolidBold,
        MicSleep,
        MiniContract2Mirrored,
        MiniExpand2Mirrored,
        MiracastLogoLarge,
        MiracastLogoSmall,
        MixedMediaBadge,
        MixVolumes,
        MobActionCenter,
        MobAirplane,
        MobBattery0,
        MobBattery1,
        MobBattery10,
        MobBattery2,
        MobBattery3,
        MobBattery4,
        MobBattery5,
        MobBattery6,
        MobBattery7,
        MobBattery8,
        MobBattery9,
        MobBatteryCharging0,
        MobBatteryCharging1,
        MobBatteryCharging10,
        MobBatteryCharging2,
        MobBatteryCharging3,
        MobBatteryCharging4,
        MobBatteryCharging5,
        MobBatteryCharging6,
        MobBatteryCharging7,
        MobBatteryCharging8,
        MobBatteryCharging9,
        MobBatterySaver0,
        MobBatterySaver1,
        MobBatterySaver10,
        MobBatterySaver2,
        MobBatterySaver3,
        MobBatterySaver4,
        MobBatterySaver5,
        MobBatterySaver6,
        MobBatterySaver7,
        MobBatterySaver8,
        MobBatterySaver9,
        MobBatteryUnknown,
        MobBluetooth,
        MobCallForwarding,
        MobCallForwardingMirrored,
        MobDrivingMode,
        MobeSIM,
        MobeSIMBusy,
        MobeSIMLocked,
        MobeSIMNoProfile,
        MobileLocked,
        MobileSelected,
        MobileTablet,
        MobLocation,
        MobQuietHours,
        MobSignal1,
        MobSignal2,
        MobSignal3,
        MobSignal4,
        MobSignal5,
        MobSIMError,
        MobSIMLock,
        MobSIMMissing,
        MobWifi1,
        MobWifi2,
        MobWifi3,
        MobWifi4,
        MobWifiCall0,
        MobWifiCall1,
        MobWifiCall2,
        MobWifiCall3,
        MobWifiCall4,
        MobWifiCallBars,
        MobWifiHotspot,
        MobWifiWarning1,
        MobWifiWarning2,
        MobWifiWarning3,
        MobWifiWarning4,
        More,
        Mouse,
        Move,
        MoveToFolder,
        Movies,
        MultimediaDMP,
        MultimediaDMS,
        MultimediaDVR,
        MultimediaPMP,
        MultiSelect,
        MultiSelectMirrored,
        MusicAlbum,
        MusicInfo,
        MusicNote,
        MusicSharing,
        MusicSharingOff,
        Mute,
        MyNetwork,
        Narrator,
        NarratorApp,
        NarratorForward,
        NarratorForwardMirrored,
        NearbySharing,
        Network,
        NetworkAdapter,
        NetworkConnected,
        NetworkConnectedCheckmark,
        NetworkOffline,
        NetworkPhysical,
        NetworkPrinter,
        NetworkSharing,
        NetworkTower,
        NewFolder,
        NewWindow,
        Next,
        NoiseCancelation,
        NoiseCancelationOff,
        NUIFace,
        NUIFPContinueSlideAction,
        NUIFPContinueSlideHand,
        NUIFPPressAction,
        NUIFPPressHand,
        NUIFPPressRepeatAction,
        NUIFPPressRepeatHand,
        NUIFPRollLeftAction,
        NUIFPRollLeftHand,
        NUIFPRollRightHand,
        NUIFPRollRightHandAction,
        NUIFPStartSlideAction,
        NUIFPStartSlideHand,
        NUIIris,
        OEM,
        OneBar,
        OneHandedLeft20,
        OneHandedRight20,
        OpenFile,
        OpenFolderHorizontal,
        OpenInNewWindow,
        OpenLocal,
        OpenPane,
        OpenPaneMirrored,
        OpenWith,
        OpenWithMirrored,
        Orientation,
        OtherUser,
        OutlineHalfStarLeft,
        OutlineHalfStarRight,
        OutlineQuarterStarLeft,
        OutlineQuarterStarRight,
        OutlineStarLeftHalf,
        OutlineStarRightHalf,
        OutlineThreeQuarterStarLeft,
        OutlineThreeQuarterStarRight,
        OverwriteWords,
        OverwriteWordsFill,
        OverwriteWordsFillKorean,
        OverwriteWordsKorean,
        Package,
        Page,
        PageLeft,
        PageMarginLandscapeModerate,
        PageMarginLandscapeNarrow,
        PageMarginLandscapeNormal,
        PageMarginLandscapeWide,
        PageMarginPortraitModerate,
        PageMarginPortraitNarrow,
        PageMarginPortraitNormal,
        PageMarginPortraitWide,
        PageMirrored,
        PageRight,
        PageSolid,
        PaginationDotOutline10,
        PaginationDotSolid10,
        PanMode,
        ParkingLocation,
        ParkingLocationMirrored,
        ParkingLocationSolid,
        PartyLeader,
        PassiveAuthentication,
        PasswordKeyHide,
        PasswordKeyShow,
        Paste,
        Pause,
        PauseBadge12,
        PauseBold,
        PaymentCard,
        PC1,
        PDF,
        Pencil,
        PencilFill,
        PenPalette,
        PenPaletteMirrored,
        PenTips,
        PenTipsMirrored,
        PenWorkspace,
        PenWorkspaceMirrored,
        People,
        PeriodKey,
        Permissions,
        PersonalFolder,
        Personalize,
        Phone,
        PhoneBook,
        Photo,
        Photo2,
        Picture,
        PieSingle,
        Pin,
        PinFill,
        Pinned,
        PinnedFill,
        PINPad,
        PinyinIMELogo,
        PLAP,
        Play,
        Play36,
        PlaybackRate1x,
        PlaybackRateOther,
        PlayBadge12,
        PlayerSettings,
        PlaySolid,
        POI,
        PointErase,
        PointEraseMirrored,
        PointerHand,
        PoliceCar,
        PostUpdate,
        PowerButton,
        PowerButtonUpdate,
        PPSFourLandscape,
        PPSFourPortrait,
        PPSOneLandscape,
        PPSOnePortrait,
        PPSTwoLandscape,
        PPSTwoPortrait,
        PresenceChicklet,
        PresenceChickletVideo,
        Preview,
        PreviewLink,
        Previous,
        Print,
        PrintAllPages,
        PrintCustomRange,
        PrintDefault,
        Printer3D,
        PrintfaxPrinterFile,
        Priority,
        PrivateCall,
        Process,
        Processing,
        ProductivityMode,
        ProgressRingDots,
        Project,
        Projector,
        ProtectedDocument,
        Protractor,
        ProvisioningPackage,
        PuncKey,
        PuncKey0,
        PuncKey1,
        PuncKey2,
        PuncKey3,
        PuncKey4,
        PuncKey5,
        PuncKey6,
        PuncKey7,
        PuncKey8,
        PuncKey9,
        PuncKeyLeftBottom,
        PuncKeyRightBottom,
        Puzzle,
        QRCode,
        QuarentinedItems,
        QuarentinedItemsMirrored,
        QuarterStarLeft,
        QuarterStarRight,
        QuickNote,
        QuietHours,
        QuietHoursBadge12,
        QWERTYOff,
        QWERTYOn,
        Radar,
        RadioBtnOff,
        RadioBtnOn,
        RadioBullet,
        RadioBullet2,
        Read,
        ReadingList,
        ReadingMode,
        ReceiptPrinter,
        Recent,
        Record,
        Record2,
        RectangularClipping,
        RedEye,
        Redo,
        Refresh,
        Relationship,
        RememberedDevice,
        Reminder,
        ReminderFill,
        Remote,
        Remove,
        RemoveFrom,
        Rename,
        Repair,
        RepeatAll,
        RepeatOff,
        RepeatOne,
        Replay,
        Reply,
        ReplyMirrored,
        ReportDocument,
        ReportHacked,
        ResetDevice,
        ResetDrive,
        Reshare,
        ResizeMouseLarge,
        ResizeMouseMedium,
        ResizeMouseMediumMirrored,
        ResizeMouseSmall,
        ResizeMouseSmallMirrored,
        ResizeMouseTall,
        ResizeMouseTallMirrored,
        ResizeMouseWide,
        ResizeTouchLarger,
        ResizeTouchNarrower,
        ResizeTouchNarrowerMirrored,
        ResizeTouchShorter,
        ResizeTouchSmaller,
        RestartUpdate,
        ReturnKey,
        ReturnKeyLg,
        ReturnKeySm,
        ReturnToCall,
        ReturnToWindow,
        RevealPasswordMedium,
        RevToggleKey,
        Rewind,
        RightArrowKeyTime0,
        RightArrowKeyTime1,
        RightArrowKeyTime2,
        RightArrowKeyTime3,
        RightArrowKeyTime4,
        RightDoubleQuote,
        RightQuote,
        RightStick,
        Ringer,
        RingerBadge12,
        RingerSilent,
        RoamingDomestic,
        RoamingInternational,
        Robot,
        Rotate,
        RotateCamera,
        RotateMapLeft,
        RotateMapRight,
        RotationLock,
        RTTLogo,
        Ruler,
        Safe,
        Save,
        SaveAs,
        SaveCopy,
        SaveLocal,
        Scan,
        ScreenTime,
        ScrollMode,
        ScrollUpDown,
        SDCard,
        Search,
        SearchAndApps,
        SearchMedium,
        SelectAll,
        Send,
        SendFill,
        SendFillMirrored,
        SendMirrored,
        Sensor,
        Set,
        SetHistoryStatus,
        SetHistoryStatus2,
        SetlockScreen,
        SetSolid,
        SetTile,
        Settings,
        SettingsBattery,
        SettingsDisplaySound,
        SettingsSolid,
        Share,
        ShareBroadband,
        Shield,
        Shop,
        ShoppingCart,
        ShowBcc,
        ShowResults,
        ShowResultsMirrored,
        Shuffle,
        SignalBars1,
        SignalBars2,
        SignalBars3,
        SignalBars4,
        SignalBars5,
        SignalError,
        SignalNotConnected,
        SignalRoaming,
        SignatureCapture,
        SignOut,
        SIMError,
        SIMLock,
        SIMMissing,
        SIPMove,
        SIPRedock,
        SIPUndock,
        SkipBack10,
        SkipForward30,
        SliderThumb,
        Slideshow,
        SlowMotionOn,
        SmallErase,
        Smartcard,
        SmartcardVirtual,
        SmartScreen,
        Sort,
        SpatialVolume0,
        SpatialVolume1,
        SpatialVolume2,
        SpatialVolume3,
        Speakers,
        SpecialEffectSize,
        Speech,
        SpeechSolidBold,
        SpeedHigh,
        SpeedMedium,
        SpeedOff,
        Spelling,
        SpellingChinese,
        SpellingKorean,
        SpellingSerbian,
        Split20,
        StaplingLandscapeBookBinding,
        StaplingLandscapeBottomLeft,
        StaplingLandscapeBottomRight,
        StaplingLandscapeTopLeft,
        StaplingLandscapeTopRight,
        StaplingLandscapeTwoBottom,
        StaplingLandscapeTwoLeft,
        StaplingLandscapeTwoRight,
        StaplingLandscapeTwoTop,
        StaplingOff,
        StaplingPortraitBookBinding,
        StaplingPortraitBottomLeft,
        StaplingPortraitBottomRight,
        StaplingPortraitTopLeft,
        StaplingPortraitTopRight,
        StaplingPortraitTwoBottom,
        StaplingPortraitTwoLeft,
        StaplingPortraitTwoRight,
        StaplingPortraitTwoTop,
        StartPoint,
        StartPointSolid,
        StartPresenting,
        StatusCheckmark,
        StatusCheckmark7,
        StatusCheckmarkLeft,
        StatusCircle,
        StatusCircle7,
        StatusCircleBlock,
        StatusCircleBlock2,
        StatusCircleCheckmark,
        StatusCircleErrorX,
        StatusCircleExclamation,
        StatusCircleInfo,
        StatusCircleInner,
        StatusCircleLeft,
        StatusCircleOuter,
        StatusCircleQuestionMark,
        StatusCircleRing,
        StatusCircleSync,
        StatusConnecting1,
        StatusConnecting2,
        StatusDataTransfer,
        StatusDataTransferRoaming,
        StatusDataTransferVPN,
        StatusDualSIM1,
        StatusDualSIM1VPN,
        StatusDualSIM2,
        StatusDualSIM2VPN,
        StatusError,
        StatusErrorCircle7,
        StatusErrorFull,
        StatusErrorLeft,
        StatusExclamationCircle7,
        StatusInfo,
        StatusInfoLeft,
        StatusPause7,
        StatusSecured,
        StatusSGLTE,
        StatusSGLTECell,
        StatusSGLTEDataVPN,
        StatusTriangle,
        StatusTriangleExclamation,
        StatusTriangleInner,
        StatusTriangleLeft,
        StatusTriangleOuter,
        StatusUnsecure,
        StatusVPN,
        StatusWarning,
        StatusWarningLeft,
        Sticker2,
        StockDown,
        StockUp,
        Stop,
        StopPoint,
        StopPointSolid,
        StopPresenting,
        Stopwatch,
        StorageNetworkWireless,
        StorageOptical,
        StorageTape,
        Streaming,
        StreamingEnterprise,
        Street,
        StreetsideSplitExpand,
        StreetsideSplitMinimize,
        Strikethrough,
        StrokeErase,
        StrokeErase2,
        StrokeEraseMirrored,
        SubscriptionAdd,
        SubscriptionAddMirrored,
        Subtitles,
        SubtitlesAudio,
        SubtractBold,
        SurfaceHub,
        SurfaceHubSelected,
        Sustainable,
        Swipe,
        SwipeRevealArt,
        Switch,
        SwitchApps,
        SwitchUser,
        Sync,
        SyncBadge12,
        SyncError,
        SyncFolder,
        System,
        Tablet,
        TabletMode,
        TabletSelected,
        Tag,
        TapAndSend,
        TaskbarPhone,
        TaskView,
        TaskViewExpanded,
        TaskViewSettings,
        ThisPC,
        ThoughtBubble,
        ThreeBars,
        ThreeQuarterStarLeft,
        ThreeQuarterStarRight,
        Tiles,
        TiltDown,
        TiltUp,
        TimeLanguage,
        ToggleBorder,
        ToggleFilled,
        ToggleLeft,
        ToggleRight,
        ToggleThumb,
        TollSolid,
        ToolTip,
        Touch,
        Touchpad,
        TouchPointer,
        Touchscreen,
        Trackers,
        TrackersMirrored,
        TrafficCongestionSolid,
        TrafficLight,
        Train,
        TrainSolid,
        TreeFolderFolder,
        TreeFolderFolderFill,
        TreeFolderFolderOpen,
        TreeFolderFolderOpenFill,
        TriggerLeft,
        TriggerRight,
        Trim,
        TVMonitor,
        TVMonitorSelected,
        TwoBars,
        TwoPage,
        Type,
        Underline,
        UnderscoreSpace,
        Undo,
        Unfavorite,
        Unit,
        Unknown,
        UnknownMirrored,
        Unlock,
        Unpin,
        UnsyncFolder,
        Up,
        UpArrowShiftKey,
        UpdateRestore,
        UpdateStatusDot,
        Upload,
        UpShiftKey,
        USB,
        USBSafeConnect,
        UserAPN,
        VerticalBattery0,
        VerticalBattery1,
        VerticalBattery10,
        VerticalBattery2,
        VerticalBattery3,
        VerticalBattery4,
        VerticalBattery5,
        VerticalBattery6,
        VerticalBattery7,
        VerticalBattery8,
        VerticalBattery9,
        VerticalBatteryCharging0,
        VerticalBatteryCharging1,
        VerticalBatteryCharging10,
        VerticalBatteryCharging2,
        VerticalBatteryCharging3,
        VerticalBatteryCharging4,
        VerticalBatteryCharging5,
        VerticalBatteryCharging6,
        VerticalBatteryCharging7,
        VerticalBatteryCharging8,
        VerticalBatteryCharging9,
        VerticalBatteryUnknown,
        Vibrate,
        Video,
        Video360,
        VideoCapture,
        VideoChat,
        VideoSolid,
        View,
        ViewAll,
        ViewDashboard,
        VirtualMachineGroup,
        VoiceCall,
        Volume,
        Volume0,
        Volume1,
        Volume2,
        Volume3,
        VolumeBars,
        VPN,
        Walk,
        WalkSolid,
        Warning,
        Webcam,
        Webcam2,
        WebSearch,
        Website,
        Wheel,
        Wifi,
        Wifi1,
        Wifi2,
        Wifi3,
        WifiAttentionOverlay,
        WifiCall0,
        WifiCall1,
        WifiCall2,
        WifiCall3,
        WifiCall4,
        WifiCallBars,
        WifiError0,
        WifiError1,
        WifiError2,
        WifiError3,
        WifiError4,
        WifiEthernet,
        WifiHotspot,
        WifiWarning0,
        WifiWarning1,
        WifiWarning2,
        WifiWarning3,
        WifiWarning4,
        WindDirection,
        WindowsInsider,
        WindowSnipping,
        Wire,
        WiredUSB,
        WirelessUSB,
        Work,
        WorkSolid,
        World,
        XboxOneConsole,
        ZeroBars,
        ZipFolder,
        Zoom,
        ZoomIn,
        ZoomMode,
        ZoomOut,
    }
}
